GNU bug report logs - #38038
27.0.50; Emacs freezes opening tabs.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Ergus <spacibba@HIDDEN>; dated Sat, 2 Nov 2019 21:43:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 38038 <at> debbugs.gnu.org:


Received: (at 38038) by debbugs.gnu.org; 12 Nov 2019 12:21:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 12 07:21:19 2019
Received: from localhost ([127.0.0.1]:56376 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iUVAb-0003qd-9i
	for submit <at> debbugs.gnu.org; Tue, 12 Nov 2019 07:21:17 -0500
Received: from sonic312-20.consmr.mail.bf2.yahoo.com ([74.6.128.82]:42354)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1iUVAQ-0003pT-Ig
 for 38038 <at> debbugs.gnu.org; Tue, 12 Nov 2019 07:21:10 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1573561261; bh=nfOTerzxeA/IPtzKY9zQna0VcqEThqMMHW8pll3ahb8=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=JQerlRcsdw9WMwco/quWSZSAIh7xFZbMtyrPa3WrGj9U5W3ccWxN8tpovxzbby3HV9LCoclUee6nA8lI9n9l1ITBS4V4ARSOUKOYu8sVaKhOXoQeoPJApZ07tikpIhHqJwUgIXGctLo2oT8ms91HFE/wSwcxLcaNbgbtqtJY72utP+t61Pm//V9goVXutamOlz/B7/RzsvnkUCwnqDGsQ9yaY1++7Wf60qpu+DA4pV5Vcuvrq2+GDPeNL4dGcDA05Jg9dba1rY3fyj3hL1UO2+h4h8CNmwMDx2h8Voirw2HJo2S/5GPBNrFB02p8UB7HUtbyIHrJfzkZBcEbkifa/Q==
X-YMail-OSG: .2moNJIVM1kwnYv3lv5emRvyqQy5UzwJ4LWgoE9LVpHc96_Hl3ADksvCsS4u1dx
 MucjMbt60sl2p21oE77PhQy4SJqYZDlW6qqpiUMcZSi97aGXFdo.E30teZ4HAaSXaB2UMJ93EygG
 4OhstgSZmgXOh9ItqBg2.HAN811JjczR3lgxaUNtiE5D82sO3eDXnv8fBam5VZrVLBGxE14A7XcS
 Ifec1Y8fJWdFUrlMEScgh23R8Fa4_lRa9QNY7sZCQr3OfQGFxj3dBwcnr_SOcioL6.8zSKr6oD2A
 3Jg.6mtR2niRoa3x02BLMUTrkpVvF9mZ82wTPNXZnj0Px2f0Q7d4H.4D7DCxZNzLDZm_.OVL7xvr
 E5T4qj0TDtCVSHiBhmylnNPMEz74AOXPdY.xiFsxDDkPkIq.7KeMhpYYIz19g1e_1Lbaed.jwsd9
 Ii4gDmOvfFqC5dED28CyUp7Bi7XNyXAqeKzR04fYaipDy58gK4YsFTcsm7ohARnWwdfDvbjg5_RO
 mkcJFz4jL3W_rNMqG5ASHEclUEP03Q4BrA9dMt90leIpibeKcII2BTnBZ53mUwqPND0dqwC2T8TH
 ngSnV7vt5_lIgCfCA.A4MjIGIlMk1vp2Hzhwdkz19jOeFgAxJpqhtB5iq2rXZywghvIBdYNcdtF.
 tJKbVmSqlkkLMm.8X0TEOOchMG4Xfv93A5SmkUvUxtpCpc3m1P8qckuJHp_rUG6UR8uA.Nnp2URL
 2zXIRH1P7NGH.S70cN8u7bMcU4oaxz1ZbR6Ro4el38v1GsU1.kOi_4EHVjtzNjJQKyzkEQlbf6uY
 zjTJ6zMcjT2GAacHNgxPgl1IBicyJewjb8HOb7u0AkP5mb9gEzoHj6zoOvk5uGUm.v4qhJNwv6LP
 .z5JYzuB7.ksQfpFQWipTdKzt_IQxa9ooZL.9Xe0d59vypbTQyFQSy4qg2TTW55Wf8h9jG88qWcj
 mCqZp5ls6Mgg.OT8SLpBxNSKS5EAH6WH.r.BNtcplInPxqyaBrCk0LcLgkwbjGfFy0HDf2rQOWCF
 gy_3JgS7ZlojYMRDZYo62.B6CCBp6vFLsmVCaiA8C93P4czAn9ojW_x3FYQWTCLyqUPyW6YxwR_m
 ps6MhRnwWpynNBWsBmI.TVFQAKke1AEUoS0Jqk3cSQUYP_35PPKweGXYzU13sVQUnND_op5uIf0F
 TShP75V77OWdkFh7bwOFoZ_rKAo_mD2Q_9g1trt8eXn_PRlE5S_4xTLhT.X_tuY86qvyWSe3PX8A
 3B3eRe1tesx._pJ009IMqOJqnSWe8._L4N0A1bp0Oc.zo.XuWHvlZnBm9rnexXWFhowlUp8Zam4X
 4ZnIBFK36hwRD7Hxzo5JEj6w_INsAI0Bg9IWtqBfnuCuJ6Ps-
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic312.consmr.mail.bf2.yahoo.com with HTTP; Tue, 12 Nov 2019 12:21:01 +0000
Received: by smtp406.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID ae230ac9990965840df758b82bc3b8d7; 
 Tue, 12 Nov 2019 12:20:59 +0000 (UTC)
Date: Tue, 12 Nov 2019 13:20:44 +0100
From: Ergus <spacibba@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.
Message-ID: <20191112122044.l36d2ngj34acdwev@Ergus>
References: <8736ezmhj2.fsf@HIDDEN>
 <5455d765-4954-6bc0-1961-619f6e865f59@HIDDEN>
 <20191108230837.7nlfzo44pu7c5x2o@Ergus>
 <257306d0-bf1a-2a5f-b98c-8e6ddcf44ea9@HIDDEN>
 <83ftixa1xe.fsf@HIDDEN>
 <e37b450a-00ad-c380-303b-87082c342575@HIDDEN>
 <83bltl9zai.fsf@HIDDEN>
 <5f00e53b-0306-3548-5cd2-36c4c65e8740@HIDDEN>
 <20191112003955.mstm6ff7evvkjo3u@Ergus>
 <fe94917a-f8b1-efd2-26b4-e2a71dce44f9@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline
In-Reply-To: <fe94917a-f8b1-efd2-26b4-e2a71dce44f9@HIDDEN>
X-Mailer: WebService/1.1.14680 hermes Apache-HttpAsyncClient/4.1.4
 (Java/1.8.0_181)
Content-Length: 402
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38038
Cc: 38038 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Ohh sorry for not commenting before then.

I tried it and it worked for me. (I mean it solved also the problem with
the tabs in gui). So I thing you can push it and close the issue form my
side (if no one else have complains).

Very thanks
Ergus

On Tue, Nov 12, 2019 at 09:10:16AM +0100, martin rudalics wrote:
>> Did you pushed this change already?
>
>No.  I expected you to test it first.
>
>martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38038; Package emacs. Full text available.

Message received at 38038 <at> debbugs.gnu.org:


Received: (at 38038) by debbugs.gnu.org; 12 Nov 2019 12:21:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 12 07:21:11 2019
Received: from localhost ([127.0.0.1]:56374 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iUVAU-0003qK-7D
	for submit <at> debbugs.gnu.org; Tue, 12 Nov 2019 07:21:11 -0500
Received: from sonic312-20.consmr.mail.bf2.yahoo.com ([74.6.128.82]:34462)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1iUVAQ-0003pU-9Z
 for 38038 <at> debbugs.gnu.org; Tue, 12 Nov 2019 07:21:08 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1573561261; bh=nfOTerzxeA/IPtzKY9zQna0VcqEThqMMHW8pll3ahb8=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=JQerlRcsdw9WMwco/quWSZSAIh7xFZbMtyrPa3WrGj9U5W3ccWxN8tpovxzbby3HV9LCoclUee6nA8lI9n9l1ITBS4V4ARSOUKOYu8sVaKhOXoQeoPJApZ07tikpIhHqJwUgIXGctLo2oT8ms91HFE/wSwcxLcaNbgbtqtJY72utP+t61Pm//V9goVXutamOlz/B7/RzsvnkUCwnqDGsQ9yaY1++7Wf60qpu+DA4pV5Vcuvrq2+GDPeNL4dGcDA05Jg9dba1rY3fyj3hL1UO2+h4h8CNmwMDx2h8Voirw2HJo2S/5GPBNrFB02p8UB7HUtbyIHrJfzkZBcEbkifa/Q==
X-YMail-OSG: .2moNJIVM1kwnYv3lv5emRvyqQy5UzwJ4LWgoE9LVpHc96_Hl3ADksvCsS4u1dx
 MucjMbt60sl2p21oE77PhQy4SJqYZDlW6qqpiUMcZSi97aGXFdo.E30teZ4HAaSXaB2UMJ93EygG
 4OhstgSZmgXOh9ItqBg2.HAN811JjczR3lgxaUNtiE5D82sO3eDXnv8fBam5VZrVLBGxE14A7XcS
 Ifec1Y8fJWdFUrlMEScgh23R8Fa4_lRa9QNY7sZCQr3OfQGFxj3dBwcnr_SOcioL6.8zSKr6oD2A
 3Jg.6mtR2niRoa3x02BLMUTrkpVvF9mZ82wTPNXZnj0Px2f0Q7d4H.4D7DCxZNzLDZm_.OVL7xvr
 E5T4qj0TDtCVSHiBhmylnNPMEz74AOXPdY.xiFsxDDkPkIq.7KeMhpYYIz19g1e_1Lbaed.jwsd9
 Ii4gDmOvfFqC5dED28CyUp7Bi7XNyXAqeKzR04fYaipDy58gK4YsFTcsm7ohARnWwdfDvbjg5_RO
 mkcJFz4jL3W_rNMqG5ASHEclUEP03Q4BrA9dMt90leIpibeKcII2BTnBZ53mUwqPND0dqwC2T8TH
 ngSnV7vt5_lIgCfCA.A4MjIGIlMk1vp2Hzhwdkz19jOeFgAxJpqhtB5iq2rXZywghvIBdYNcdtF.
 tJKbVmSqlkkLMm.8X0TEOOchMG4Xfv93A5SmkUvUxtpCpc3m1P8qckuJHp_rUG6UR8uA.Nnp2URL
 2zXIRH1P7NGH.S70cN8u7bMcU4oaxz1ZbR6Ro4el38v1GsU1.kOi_4EHVjtzNjJQKyzkEQlbf6uY
 zjTJ6zMcjT2GAacHNgxPgl1IBicyJewjb8HOb7u0AkP5mb9gEzoHj6zoOvk5uGUm.v4qhJNwv6LP
 .z5JYzuB7.ksQfpFQWipTdKzt_IQxa9ooZL.9Xe0d59vypbTQyFQSy4qg2TTW55Wf8h9jG88qWcj
 mCqZp5ls6Mgg.OT8SLpBxNSKS5EAH6WH.r.BNtcplInPxqyaBrCk0LcLgkwbjGfFy0HDf2rQOWCF
 gy_3JgS7ZlojYMRDZYo62.B6CCBp6vFLsmVCaiA8C93P4czAn9ojW_x3FYQWTCLyqUPyW6YxwR_m
 ps6MhRnwWpynNBWsBmI.TVFQAKke1AEUoS0Jqk3cSQUYP_35PPKweGXYzU13sVQUnND_op5uIf0F
 TShP75V77OWdkFh7bwOFoZ_rKAo_mD2Q_9g1trt8eXn_PRlE5S_4xTLhT.X_tuY86qvyWSe3PX8A
 3B3eRe1tesx._pJ009IMqOJqnSWe8._L4N0A1bp0Oc.zo.XuWHvlZnBm9rnexXWFhowlUp8Zam4X
 4ZnIBFK36hwRD7Hxzo5JEj6w_INsAI0Bg9IWtqBfnuCuJ6Ps-
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic312.consmr.mail.bf2.yahoo.com with HTTP; Tue, 12 Nov 2019 12:21:01 +0000
Received: by smtp406.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID ae230ac9990965840df758b82bc3b8d7; 
 Tue, 12 Nov 2019 12:20:59 +0000 (UTC)
Date: Tue, 12 Nov 2019 13:20:44 +0100
From: Ergus <spacibba@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.
Message-ID: <20191112122044.l36d2ngj34acdwev@Ergus>
References: <8736ezmhj2.fsf@HIDDEN>
 <5455d765-4954-6bc0-1961-619f6e865f59@HIDDEN>
 <20191108230837.7nlfzo44pu7c5x2o@Ergus>
 <257306d0-bf1a-2a5f-b98c-8e6ddcf44ea9@HIDDEN>
 <83ftixa1xe.fsf@HIDDEN>
 <e37b450a-00ad-c380-303b-87082c342575@HIDDEN>
 <83bltl9zai.fsf@HIDDEN>
 <5f00e53b-0306-3548-5cd2-36c4c65e8740@HIDDEN>
 <20191112003955.mstm6ff7evvkjo3u@Ergus>
 <fe94917a-f8b1-efd2-26b4-e2a71dce44f9@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline
In-Reply-To: <fe94917a-f8b1-efd2-26b4-e2a71dce44f9@HIDDEN>
X-Mailer: WebService/1.1.14680 hermes Apache-HttpAsyncClient/4.1.4
 (Java/1.8.0_181)
Content-Length: 402
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38038
Cc: 38038 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Ohh sorry for not commenting before then.

I tried it and it worked for me. (I mean it solved also the problem with
the tabs in gui). So I thing you can push it and close the issue form my
side (if no one else have complains).

Very thanks
Ergus

On Tue, Nov 12, 2019 at 09:10:16AM +0100, martin rudalics wrote:
>> Did you pushed this change already?
>
>No.  I expected you to test it first.
>
>martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38038; Package emacs. Full text available.

Message received at 38038 <at> debbugs.gnu.org:


Received: (at 38038) by debbugs.gnu.org; 12 Nov 2019 08:10:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 12 03:10:40 2019
Received: from localhost ([127.0.0.1]:56299 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iURG4-0001dZ-M2
	for submit <at> debbugs.gnu.org; Tue, 12 Nov 2019 03:10:40 -0500
Received: from mout.gmx.net ([212.227.17.22]:57971)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1iURG2-0001cv-PT
 for 38038 <at> debbugs.gnu.org; Tue, 12 Nov 2019 03:10:39 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1573546218;
 bh=TCv429Gc18wkZp1G1aoqd/lLhAP71GTvaZi4DICzD8A=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=k5HfxoKJYhdAmFtw2+lJyLTzIE8QayvQlIzE+smu+MCOYgkT+4uoDSk7b4C/weNY4
 wAzSQ2rHyLQ3nLPMTcqexXuOXQNXcL5tTuLcEg2i3pDk64alCokqwhBcYRAwGs6lBe
 73CXMzzUbfFpOFjqWRVbRq5R8gvARwx2zgYRbAp0=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.102] ([46.125.249.59]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1Mv31c-1hdi4g0Zg8-00qysI; Tue, 12
 Nov 2019 09:10:18 +0100
Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.
To: Ergus <spacibba@HIDDEN>
References: <87pni9yl75.fsf@HIDDEN> <83h83fg50h.fsf@HIDDEN>
 <8736ezmhj2.fsf@HIDDEN>
 <5455d765-4954-6bc0-1961-619f6e865f59@HIDDEN>
 <20191108230837.7nlfzo44pu7c5x2o@Ergus>
 <257306d0-bf1a-2a5f-b98c-8e6ddcf44ea9@HIDDEN> <83ftixa1xe.fsf@HIDDEN>
 <e37b450a-00ad-c380-303b-87082c342575@HIDDEN> <83bltl9zai.fsf@HIDDEN>
 <5f00e53b-0306-3548-5cd2-36c4c65e8740@HIDDEN>
 <20191112003955.mstm6ff7evvkjo3u@Ergus>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <fe94917a-f8b1-efd2-26b4-e2a71dce44f9@HIDDEN>
Date: Tue, 12 Nov 2019 09:10:16 +0100
MIME-Version: 1.0
In-Reply-To: <20191112003955.mstm6ff7evvkjo3u@Ergus>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:popDZn3+jm/lD2TZNrI5jTtz41hr1Gb4bvfVhVZsTdLW8ldT/SR
 YeMJL6yuEXdpmRUqc3lv+eoVJ2R6GCuhUcNaJT9v09cSQbM0G+Q/IyDLJaW7Sc2wrena25B
 C/prB/KWjOdSccu0GRFB8POUXl0w7uA3HkNiDc+QL2PbjZoPcJ9lR/53wJbaRaRxlOJ6Qaw
 SS8SwbPBxVUOWLS/ONoeA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:1vDIfyn7ebI=:b4ISuVnp1xa+EFQgsLgHHi
 Wj9fQmBRTWNyV8vz//oGyRy0NyzGhOFTSYKemBnqLbeEXVRkg7rT2/yF1Fw0baxTZpc0oJxBC
 wI5p9zs2D0USJwnPjfoaTvxoue4CiiigJLa/GueJkeMCwhBsP1vTmN2WSkDZxmLErJeRWpTK/
 QULrPSxWwj9+T932zm2ulHxU+afZb8CArfNgCnZdNSM6JVb6YsHBqm/ZTanjvD37e/uyZu1AI
 FFGhb//UlPlIBZsEKTWBjJzcCLwqDUGi/8nQw6UlnwssieBl+MjnaIaZSd8EJuvlVmI7RRxz7
 OqTbGiV2MZCJzJaxD1uwhrgLJbFfZ2TUbry5QRg1z/lhsSKSrCxLoBhHlyIZze3So8gdKCYyP
 FOD/pj3YBrNBC24jvj2catAVQLZQq1eeG5bUB8y+4lDyk+t8c3sQk2YrgXQ6/NnLS8QADywee
 fXHBodMoAggtG9ADOTzj1kyavQOXWLdbbW1CxMDK+L9Kr0X41ZrfriQdnpkXzX2h8l1Pd+i2Q
 44W+JhWOS7m+Bc6VRUCU2/sJKoG+cJGpLmH2sfGZsrCSsXYP9SIIYnkKIrn/Vt9kHHPahOBf0
 kIb5Jg33n1ABN+nZZkRtE/IJxzAMy59wBBTDM3hgaGQy1ehIPzUeXhYitmR+FML2USVmXElIV
 J2EZ8h/G4EZhA2xuLG5udM4wxwDa2JA1E5YtbsDLAhekSTqxcZh1W/dkeh9cS8pDGshxmhobf
 j17ayCDURpArVvroYQ7fY2f4bzctk/KMREF5i5ffrQ/IUloSZwOd1PP3hydRVZJ4E1GgNeUpr
 R16YrcEw7WhB+VlxYTE8sUtAWFZjWkO6PGtw9wwT7+9MSCgA5zhwmF1W6FgEowbyxABgbG0Ot
 /pFarr3kbfT+mDKCUvCZ1izKPYYaf7Ny/vvLBHlYj3fwY2Y6PRvn8/qOdIDF35N/Sl0PW1ID+
 LJXtsOZvQpbhyy82i/0mjywZvbvR24B+MFR+5HvqJrNuuPdUhsUNETGjnMvp+Wx1wUlsvPmHB
 YyC/MEjcOq/TvbKJxsbtJ+pTApApXfWgEizzfxUb+ckbVqYf7wr16KJSh9nnkoAZtisCXTtio
 s1xuIgD7rZFFnc6eAFK/PuAGiAZqI1aCwvWTvEeB0MkmQSukFxPQY+5knhBerhZSwvEhO7vBP
 RSfFGdR6GMqU05wj/FTmiL1MhkD+PKqXrIJsGWJ1+3ykkANSaPSlMiRT6cRQT8eGlrFkzS4Vo
 AX+ch6ILRUF79e+A6/JREgy/Zr/yA21WHZqRMGDD/mNU4Xkw4vFM2RH72Jqk=
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 38038
Cc: 38038 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

 > Did you pushed this change already?

No.  I expected you to test it first.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38038; Package emacs. Full text available.

Message received at 38038 <at> debbugs.gnu.org:


Received: (at 38038) by debbugs.gnu.org; 12 Nov 2019 00:40:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 11 19:40:23 2019
Received: from localhost ([127.0.0.1]:56156 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iUKEJ-0003qU-D4
	for submit <at> debbugs.gnu.org; Mon, 11 Nov 2019 19:40:23 -0500
Received: from sonic311-25.consmr.mail.ne1.yahoo.com ([66.163.188.206]:42592)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1iUKEG-0003q7-Lx
 for 38038 <at> debbugs.gnu.org; Mon, 11 Nov 2019 19:40:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1573519215; bh=uV3GZGtPuMkya5vil+cNZr3k2qF3AmSA2hz317ebgFs=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=tdvrocZXLCqSKiHGXruECEkNcblwAu8sSpWCP/YbBl/SemaI8b1IqE6vWxewoOURaRv1Up13mrCH7yglNqUdJRtfwsTtW4kWmEDiBPMcbC1EWCSIUfFvj1bTs4ddO0H/2qWC5oPcgA+nhAXkH5nrAJT4A5x24SfWmB55DNESX14BLsWHTCygQXkcivNpBEnlM5yubuPvbr99OhsGz63MB/9wMZG6rrv6M3t8kixO5p5zDiVbCnGJtTp7lB5XmJ2YeS5Oa7h40ESoHYfA6Osm8fQaZRq0jYLrQfAUKdn7v6mrWvzuRR4lCvX2wcDld9Ewem+vJOpy1d43dvvpO5GobA==
X-YMail-OSG: FnUo1TcVM1ll3neUVwxAQof8wJsx74rR2o1gaczcrgu0nCP3r1iKqpida8VSksT
 VC12vMmU0Kt28P1lW6QQXc3HVnoEj4Rjs9XjvUc5TduZI3N4j34lY7yrM4VBCV28RP1LbK3axJ5x
 U62N94zsH6jXw.XZHDDJbh3DNBHtxuEVL45V4LUopMi7BCKowZfb6h3Au3v6fk43IwP3bGtaf1.z
 Y.4qGqPZ1WCAuNcgfa6j4H8rC62VFSme5lHoqNVQfq0jOsbSlLaJUwh1_p67wLd1Y1uT2ZuUKAGL
 jon6x6CZhIzNuzbgMsrq2tQtLhyXVWBmcd24.6FMxT6.N0epCWfQ5jyOYZ9LYoWpf3XZgdEemaZv
 km0rXpSml9nwLeWRzf_tudL5CAS7yVfcUmW.hJg1cYk.2xCfW0HcmGSgOyykknO.m369gIb6w7C3
 Pe13zH4iLCqSnljWJntImSH3Ti4jLaQFDd27o_Kid1LKAsSf5QKhUeSV8EvKTqU7AmpplFY97uYL
 bRixGlOgC.ZYtjZqc.FkST9LczVxLyNGZI0RWRnRQbkURR.qFdM_SikVZ7lM5frTvMR2UR_daPNI
 .iAkriVegHIUOmLMd2Cnkx_BZpN4P0boIYIKYo3kWEkao5xz_eAc8IeLhbOC6z44ZRP.QfVHQa0X
 rrbW2beX7HJ75CGTjgwL17KVwHCsYU8XGGwqboI_GRw4ATAYTw4mK8Pt1RxRrtoP_pw4NBod9ZfO
 NiNpToZgHY__71V.vXYV3jkpX1VfSdMqCP9i2eKfPGku0os0CsVMK9ocKLeZhFwKwjg3Msxw6lYX
 6CmUo994Tc03qodhKlWj8pEdZlrUG4i.WhqYNuO6RlCLTFAOaM73ZnNFGRXFJoB9Bd3kDvfYL91n
 x2bPS6c4ze0JA08wBTzpPdXHvR4QY4QT3aPLHgw_YtLSFrMMFP93jzgQuoPilKBaPXS2SibskxDn
 4NT48yocTJNCP9iKht5x4KraeloFN_vYm1zAwESne3wwnLc6rm6i7ub7bdxJ2fFbm2_Tlkko1tU_
 uE8LG5G5.UHsa3gkXQopITeXp4ZznQ7WtKGNrNBjOi_iIwErH2Q9_6rI5dKqo.oBCePLaMwFi4TN
 8go.rH07gd34g8ogMlRJo6k6nWXSg4JsMZHPT8FC6PGGGgSvFEBJB0ibCQvN5VNCM69iIXgwwIBl
 ZevBx8UhcfM0m0Nqxt8wbFIGPtSXdeFbp6U9pYTMJGpHpXqmsIcK6SVL74AOzsqLMaUhwFZ2WeC4
 lbxIZnf_np.1LcI8Br8nQgxbjPOZCjNwluk5HATHNhf8S.LE4.t0kSvR3A_92W335OHktPP73GRI
 BA4oAGNRd3_IpcNjau2GlcnaHClPk1PYT2D3dorrd7MNCbw--
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic311.consmr.mail.ne1.yahoo.com with HTTP; Tue, 12 Nov 2019 00:40:15 +0000
Received: by smtp421.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID 854b40cc134f6602f133b6199e6d439e; 
 Tue, 12 Nov 2019 00:40:12 +0000 (UTC)
Date: Tue, 12 Nov 2019 01:39:55 +0100
From: Ergus <spacibba@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.
Message-ID: <20191112003955.mstm6ff7evvkjo3u@Ergus>
References: <87pni9yl75.fsf@HIDDEN> <83h83fg50h.fsf@HIDDEN>
 <8736ezmhj2.fsf@HIDDEN>
 <5455d765-4954-6bc0-1961-619f6e865f59@HIDDEN>
 <20191108230837.7nlfzo44pu7c5x2o@Ergus>
 <257306d0-bf1a-2a5f-b98c-8e6ddcf44ea9@HIDDEN>
 <83ftixa1xe.fsf@HIDDEN>
 <e37b450a-00ad-c380-303b-87082c342575@HIDDEN>
 <83bltl9zai.fsf@HIDDEN>
 <5f00e53b-0306-3548-5cd2-36c4c65e8740@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline
In-Reply-To: <5f00e53b-0306-3548-5cd2-36c4c65e8740@HIDDEN>
X-Mailer: WebService/1.1.14680 hermes Apache-HttpAsyncClient/4.1.4
 (Java/1.8.0_181)
Content-Length: 5458
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38038
Cc: 38038 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Martin:

Did you pushed this change already?



On Sun, Nov 10, 2019 at 10:45:33AM +0100, martin rudalics wrote:
>> It doesn't really matter, AFAIK, but BUFFERP is clearer, I think.
>
>I can offer the attached patch.
>
>martin

>--- a/src/nsterm.m
>+++ b/src/nsterm.m
>@@ -3435,19 +3435,22 @@ Note that CURSOR_WIDTH is meaningful only for (h)bar cursors.
>               unsigned long descent = s->y + s->height - s->ybase;
>               unsigned long minimum_offset;
>               BOOL underline_at_descent_line, use_underline_position_properties;
>-              Lisp_Object val = buffer_local_value (Qunderline_minimum_offset,
>-                                                    s->w->contents);
>-              if (FIXNUMP (val))
>-                minimum_offset = XFIXNAT (val);
>-              else
>-                minimum_offset = 1;
>-              val = buffer_local_value (Qx_underline_at_descent_line,
>-                                        s->w->contents);
>-              underline_at_descent_line = !(NILP (val) || EQ (val, Qunbound));
>-              val = buffer_local_value (Qx_use_underline_position_properties,
>-                                        s->w->contents);
>-              use_underline_position_properties =
>-		!(NILP (val) || EQ (val, Qunbound));
>+	      Lisp_Object val = (WINDOW_BUFFER_LOCAL_VALUE
>+				 (Qunderline_minimum_offset, s->w));
>+
>+	      if (FIXNUMP (val))
>+		minimum_offset = XFIXNAT (val);
>+	      else
>+		minimum_offset = 1;
>+
>+	      val = (WINDOW_BUFFER_LOCAL_VALUE
>+		     (Qx_underline_at_descent_line, s->w));
>+	      underline_at_descent_line = !(NILP (val) || EQ (val, Qunbound));
>+
>+	      val = (WINDOW_BUFFER_LOCAL_VALUE
>+		     (Qx_use_underline_position_properties, s->w));
>+	      use_underline_position_properties
>+		= !(NILP (val) || EQ (val, Qunbound));
>
>               /* Use underline thickness of font, defaulting to 1.  */
>               thickness = (font && font->underline_thickness > 0)
>diff --git a/src/w32term.c b/src/w32term.c
>index 9da0845836..d0537c67e9 100644
>--- a/src/w32term.c
>+++ b/src/w32term.c
>@@ -2512,20 +2512,21 @@ w32_draw_glyph_string (struct glyph_string *s)
> 		  unsigned long minimum_offset;
> 		  BOOL underline_at_descent_line;
> 		  BOOL use_underline_position_properties;
>-		  Lisp_Object val
>-		    = buffer_local_value (Qunderline_minimum_offset,
>-		                          s->w->contents);
>+		  Lisp_Object val = (WINDOW_BUFFER_LOCAL_VALUE
>+				     (Qunderline_minimum_offset, s->w));
>+
> 		  if (FIXNUMP (val))
> 		    minimum_offset = max (0, XFIXNUM (val));
> 		  else
> 		    minimum_offset = 1;
>-		  val = buffer_local_value (Qx_underline_at_descent_line,
>-					    s->w->contents);
>+
>+		  val = (WINDOW_BUFFER_LOCAL_VALUE
>+			 (Qx_underline_at_descent_line, s->w));
> 		  underline_at_descent_line
> 		    = !(NILP (val) || EQ (val, Qunbound));
>-		  val
>-		    = buffer_local_value (Qx_use_underline_position_properties,
>-					  s->w->contents);
>+
>+		  val = (WINDOW_BUFFER_LOCAL_VALUE
>+			 (Qx_use_underline_position_properties, s->w));
> 		  use_underline_position_properties
> 		    = !(NILP (val) || EQ (val, Qunbound));
>
>diff --git a/src/window.h b/src/window.h
>index 71946a5695..8ea1b9dcf7 100644
>--- a/src/window.h
>+++ b/src/window.h
>@@ -608,6 +608,13 @@ wset_next_buffers (struct window *w, Lisp_Object val)
>    ? (W)->contents				\
>    : Qnil)
>
>+/* Local value of variable V in window W's buffer.  Nil if W has no
>+   buffer.  */
>+#define WINDOW_BUFFER_LOCAL_VALUE(V, W)		\
>+  (BUFFERP ((W)->contents)			\
>+   ? buffer_local_value(V, (W)->contents)	\
>+   : Qnil)
>+
> /* Return the canonical column width of the frame of window W.  */
> #define WINDOW_FRAME_COLUMN_WIDTH(W) \
>   (FRAME_COLUMN_WIDTH (WINDOW_XFRAME ((W))))
>@@ -1175,6 +1182,8 @@ extern Lisp_Object Vwindow_list;
>
> extern Lisp_Object window_list (void);
> extern Lisp_Object window_parameter (struct window *, Lisp_Object parameter);
>+extern Lisp_Object window_buffer_local_value (struct window *,
>+					      Lisp_Object variable);
> extern struct window *decode_live_window (Lisp_Object);
> extern struct window *decode_any_window (Lisp_Object);
> extern bool compare_window_configurations (Lisp_Object, Lisp_Object, bool);
>diff --git a/src/xterm.c b/src/xterm.c
>index 44fbd27b11..f7005804f0 100644
>--- a/src/xterm.c
>+++ b/src/xterm.c
>@@ -3847,20 +3847,21 @@ x_draw_glyph_string (struct glyph_string *s)
> 		  unsigned long minimum_offset;
> 		  bool underline_at_descent_line;
> 		  bool use_underline_position_properties;
>-		  Lisp_Object val
>-		    = buffer_local_value (Qunderline_minimum_offset,
>-					  s->w->contents);
>+		  Lisp_Object val = (WINDOW_BUFFER_LOCAL_VALUE
>+				     (Qunderline_minimum_offset, s->w));
>+
> 		  if (FIXNUMP (val))
> 		    minimum_offset = max (0, XFIXNUM (val));
> 		  else
> 		    minimum_offset = 1;
>-		  val = buffer_local_value (Qx_underline_at_descent_line,
>-					    s->w->contents);
>+
>+		  val = (WINDOW_BUFFER_LOCAL_VALUE
>+			 (Qx_underline_at_descent_line, s->w));
> 		  underline_at_descent_line
> 		    = !(NILP (val) || EQ (val, Qunbound));
>-		  val
>-		    = buffer_local_value (Qx_use_underline_position_properties,
>-					  s->w->contents);
>+
>+		  val = (WINDOW_BUFFER_LOCAL_VALUE
>+			 (Qx_use_underline_position_properties, s->w));
> 		  use_underline_position_properties
> 		    = !(NILP (val) || EQ (val, Qunbound));
>
>





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38038; Package emacs. Full text available.

Message received at 38038 <at> debbugs.gnu.org:


Received: (at 38038) by debbugs.gnu.org; 12 Nov 2019 00:40:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 11 19:40:23 2019
Received: from localhost ([127.0.0.1]:56154 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iUKEI-0003qR-Vd
	for submit <at> debbugs.gnu.org; Mon, 11 Nov 2019 19:40:23 -0500
Received: from sonic311-25.consmr.mail.ne1.yahoo.com ([66.163.188.206]:39665)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1iUKEG-0003q6-HM
 for 38038 <at> debbugs.gnu.org; Mon, 11 Nov 2019 19:40:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1573519215; bh=uV3GZGtPuMkya5vil+cNZr3k2qF3AmSA2hz317ebgFs=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=tdvrocZXLCqSKiHGXruECEkNcblwAu8sSpWCP/YbBl/SemaI8b1IqE6vWxewoOURaRv1Up13mrCH7yglNqUdJRtfwsTtW4kWmEDiBPMcbC1EWCSIUfFvj1bTs4ddO0H/2qWC5oPcgA+nhAXkH5nrAJT4A5x24SfWmB55DNESX14BLsWHTCygQXkcivNpBEnlM5yubuPvbr99OhsGz63MB/9wMZG6rrv6M3t8kixO5p5zDiVbCnGJtTp7lB5XmJ2YeS5Oa7h40ESoHYfA6Osm8fQaZRq0jYLrQfAUKdn7v6mrWvzuRR4lCvX2wcDld9Ewem+vJOpy1d43dvvpO5GobA==
X-YMail-OSG: FnUo1TcVM1ll3neUVwxAQof8wJsx74rR2o1gaczcrgu0nCP3r1iKqpida8VSksT
 VC12vMmU0Kt28P1lW6QQXc3HVnoEj4Rjs9XjvUc5TduZI3N4j34lY7yrM4VBCV28RP1LbK3axJ5x
 U62N94zsH6jXw.XZHDDJbh3DNBHtxuEVL45V4LUopMi7BCKowZfb6h3Au3v6fk43IwP3bGtaf1.z
 Y.4qGqPZ1WCAuNcgfa6j4H8rC62VFSme5lHoqNVQfq0jOsbSlLaJUwh1_p67wLd1Y1uT2ZuUKAGL
 jon6x6CZhIzNuzbgMsrq2tQtLhyXVWBmcd24.6FMxT6.N0epCWfQ5jyOYZ9LYoWpf3XZgdEemaZv
 km0rXpSml9nwLeWRzf_tudL5CAS7yVfcUmW.hJg1cYk.2xCfW0HcmGSgOyykknO.m369gIb6w7C3
 Pe13zH4iLCqSnljWJntImSH3Ti4jLaQFDd27o_Kid1LKAsSf5QKhUeSV8EvKTqU7AmpplFY97uYL
 bRixGlOgC.ZYtjZqc.FkST9LczVxLyNGZI0RWRnRQbkURR.qFdM_SikVZ7lM5frTvMR2UR_daPNI
 .iAkriVegHIUOmLMd2Cnkx_BZpN4P0boIYIKYo3kWEkao5xz_eAc8IeLhbOC6z44ZRP.QfVHQa0X
 rrbW2beX7HJ75CGTjgwL17KVwHCsYU8XGGwqboI_GRw4ATAYTw4mK8Pt1RxRrtoP_pw4NBod9ZfO
 NiNpToZgHY__71V.vXYV3jkpX1VfSdMqCP9i2eKfPGku0os0CsVMK9ocKLeZhFwKwjg3Msxw6lYX
 6CmUo994Tc03qodhKlWj8pEdZlrUG4i.WhqYNuO6RlCLTFAOaM73ZnNFGRXFJoB9Bd3kDvfYL91n
 x2bPS6c4ze0JA08wBTzpPdXHvR4QY4QT3aPLHgw_YtLSFrMMFP93jzgQuoPilKBaPXS2SibskxDn
 4NT48yocTJNCP9iKht5x4KraeloFN_vYm1zAwESne3wwnLc6rm6i7ub7bdxJ2fFbm2_Tlkko1tU_
 uE8LG5G5.UHsa3gkXQopITeXp4ZznQ7WtKGNrNBjOi_iIwErH2Q9_6rI5dKqo.oBCePLaMwFi4TN
 8go.rH07gd34g8ogMlRJo6k6nWXSg4JsMZHPT8FC6PGGGgSvFEBJB0ibCQvN5VNCM69iIXgwwIBl
 ZevBx8UhcfM0m0Nqxt8wbFIGPtSXdeFbp6U9pYTMJGpHpXqmsIcK6SVL74AOzsqLMaUhwFZ2WeC4
 lbxIZnf_np.1LcI8Br8nQgxbjPOZCjNwluk5HATHNhf8S.LE4.t0kSvR3A_92W335OHktPP73GRI
 BA4oAGNRd3_IpcNjau2GlcnaHClPk1PYT2D3dorrd7MNCbw--
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic311.consmr.mail.ne1.yahoo.com with HTTP; Tue, 12 Nov 2019 00:40:15 +0000
Received: by smtp421.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID 854b40cc134f6602f133b6199e6d439e; 
 Tue, 12 Nov 2019 00:40:12 +0000 (UTC)
Date: Tue, 12 Nov 2019 01:39:55 +0100
From: Ergus <spacibba@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.
Message-ID: <20191112003955.mstm6ff7evvkjo3u@Ergus>
References: <87pni9yl75.fsf@HIDDEN> <83h83fg50h.fsf@HIDDEN>
 <8736ezmhj2.fsf@HIDDEN>
 <5455d765-4954-6bc0-1961-619f6e865f59@HIDDEN>
 <20191108230837.7nlfzo44pu7c5x2o@Ergus>
 <257306d0-bf1a-2a5f-b98c-8e6ddcf44ea9@HIDDEN>
 <83ftixa1xe.fsf@HIDDEN>
 <e37b450a-00ad-c380-303b-87082c342575@HIDDEN>
 <83bltl9zai.fsf@HIDDEN>
 <5f00e53b-0306-3548-5cd2-36c4c65e8740@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline
In-Reply-To: <5f00e53b-0306-3548-5cd2-36c4c65e8740@HIDDEN>
X-Mailer: WebService/1.1.14680 hermes Apache-HttpAsyncClient/4.1.4
 (Java/1.8.0_181)
Content-Length: 5458
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38038
Cc: 38038 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Martin:

Did you pushed this change already?



On Sun, Nov 10, 2019 at 10:45:33AM +0100, martin rudalics wrote:
>> It doesn't really matter, AFAIK, but BUFFERP is clearer, I think.
>
>I can offer the attached patch.
>
>martin

>--- a/src/nsterm.m
>+++ b/src/nsterm.m
>@@ -3435,19 +3435,22 @@ Note that CURSOR_WIDTH is meaningful only for (h)bar cursors.
>               unsigned long descent = s->y + s->height - s->ybase;
>               unsigned long minimum_offset;
>               BOOL underline_at_descent_line, use_underline_position_properties;
>-              Lisp_Object val = buffer_local_value (Qunderline_minimum_offset,
>-                                                    s->w->contents);
>-              if (FIXNUMP (val))
>-                minimum_offset = XFIXNAT (val);
>-              else
>-                minimum_offset = 1;
>-              val = buffer_local_value (Qx_underline_at_descent_line,
>-                                        s->w->contents);
>-              underline_at_descent_line = !(NILP (val) || EQ (val, Qunbound));
>-              val = buffer_local_value (Qx_use_underline_position_properties,
>-                                        s->w->contents);
>-              use_underline_position_properties =
>-		!(NILP (val) || EQ (val, Qunbound));
>+	      Lisp_Object val = (WINDOW_BUFFER_LOCAL_VALUE
>+				 (Qunderline_minimum_offset, s->w));
>+
>+	      if (FIXNUMP (val))
>+		minimum_offset = XFIXNAT (val);
>+	      else
>+		minimum_offset = 1;
>+
>+	      val = (WINDOW_BUFFER_LOCAL_VALUE
>+		     (Qx_underline_at_descent_line, s->w));
>+	      underline_at_descent_line = !(NILP (val) || EQ (val, Qunbound));
>+
>+	      val = (WINDOW_BUFFER_LOCAL_VALUE
>+		     (Qx_use_underline_position_properties, s->w));
>+	      use_underline_position_properties
>+		= !(NILP (val) || EQ (val, Qunbound));
>
>               /* Use underline thickness of font, defaulting to 1.  */
>               thickness = (font && font->underline_thickness > 0)
>diff --git a/src/w32term.c b/src/w32term.c
>index 9da0845836..d0537c67e9 100644
>--- a/src/w32term.c
>+++ b/src/w32term.c
>@@ -2512,20 +2512,21 @@ w32_draw_glyph_string (struct glyph_string *s)
> 		  unsigned long minimum_offset;
> 		  BOOL underline_at_descent_line;
> 		  BOOL use_underline_position_properties;
>-		  Lisp_Object val
>-		    = buffer_local_value (Qunderline_minimum_offset,
>-		                          s->w->contents);
>+		  Lisp_Object val = (WINDOW_BUFFER_LOCAL_VALUE
>+				     (Qunderline_minimum_offset, s->w));
>+
> 		  if (FIXNUMP (val))
> 		    minimum_offset = max (0, XFIXNUM (val));
> 		  else
> 		    minimum_offset = 1;
>-		  val = buffer_local_value (Qx_underline_at_descent_line,
>-					    s->w->contents);
>+
>+		  val = (WINDOW_BUFFER_LOCAL_VALUE
>+			 (Qx_underline_at_descent_line, s->w));
> 		  underline_at_descent_line
> 		    = !(NILP (val) || EQ (val, Qunbound));
>-		  val
>-		    = buffer_local_value (Qx_use_underline_position_properties,
>-					  s->w->contents);
>+
>+		  val = (WINDOW_BUFFER_LOCAL_VALUE
>+			 (Qx_use_underline_position_properties, s->w));
> 		  use_underline_position_properties
> 		    = !(NILP (val) || EQ (val, Qunbound));
>
>diff --git a/src/window.h b/src/window.h
>index 71946a5695..8ea1b9dcf7 100644
>--- a/src/window.h
>+++ b/src/window.h
>@@ -608,6 +608,13 @@ wset_next_buffers (struct window *w, Lisp_Object val)
>    ? (W)->contents				\
>    : Qnil)
>
>+/* Local value of variable V in window W's buffer.  Nil if W has no
>+   buffer.  */
>+#define WINDOW_BUFFER_LOCAL_VALUE(V, W)		\
>+  (BUFFERP ((W)->contents)			\
>+   ? buffer_local_value(V, (W)->contents)	\
>+   : Qnil)
>+
> /* Return the canonical column width of the frame of window W.  */
> #define WINDOW_FRAME_COLUMN_WIDTH(W) \
>   (FRAME_COLUMN_WIDTH (WINDOW_XFRAME ((W))))
>@@ -1175,6 +1182,8 @@ extern Lisp_Object Vwindow_list;
>
> extern Lisp_Object window_list (void);
> extern Lisp_Object window_parameter (struct window *, Lisp_Object parameter);
>+extern Lisp_Object window_buffer_local_value (struct window *,
>+					      Lisp_Object variable);
> extern struct window *decode_live_window (Lisp_Object);
> extern struct window *decode_any_window (Lisp_Object);
> extern bool compare_window_configurations (Lisp_Object, Lisp_Object, bool);
>diff --git a/src/xterm.c b/src/xterm.c
>index 44fbd27b11..f7005804f0 100644
>--- a/src/xterm.c
>+++ b/src/xterm.c
>@@ -3847,20 +3847,21 @@ x_draw_glyph_string (struct glyph_string *s)
> 		  unsigned long minimum_offset;
> 		  bool underline_at_descent_line;
> 		  bool use_underline_position_properties;
>-		  Lisp_Object val
>-		    = buffer_local_value (Qunderline_minimum_offset,
>-					  s->w->contents);
>+		  Lisp_Object val = (WINDOW_BUFFER_LOCAL_VALUE
>+				     (Qunderline_minimum_offset, s->w));
>+
> 		  if (FIXNUMP (val))
> 		    minimum_offset = max (0, XFIXNUM (val));
> 		  else
> 		    minimum_offset = 1;
>-		  val = buffer_local_value (Qx_underline_at_descent_line,
>-					    s->w->contents);
>+
>+		  val = (WINDOW_BUFFER_LOCAL_VALUE
>+			 (Qx_underline_at_descent_line, s->w));
> 		  underline_at_descent_line
> 		    = !(NILP (val) || EQ (val, Qunbound));
>-		  val
>-		    = buffer_local_value (Qx_use_underline_position_properties,
>-					  s->w->contents);
>+
>+		  val = (WINDOW_BUFFER_LOCAL_VALUE
>+			 (Qx_use_underline_position_properties, s->w));
> 		  use_underline_position_properties
> 		    = !(NILP (val) || EQ (val, Qunbound));
>
>





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38038; Package emacs. Full text available.

Message received at 38038 <at> debbugs.gnu.org:


Received: (at 38038) by debbugs.gnu.org; 10 Nov 2019 09:45:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 10 04:45:56 2019
Received: from localhost ([127.0.0.1]:50606 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTjnA-000051-20
	for submit <at> debbugs.gnu.org; Sun, 10 Nov 2019 04:45:56 -0500
Received: from mout.gmx.net ([212.227.17.22]:49129)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1iTjn6-0008WQ-U5
 for 38038 <at> debbugs.gnu.org; Sun, 10 Nov 2019 04:45:53 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1573379134;
 bh=5g0SW50lKheRijSLachJYoLCQwTG0eWBL/rPBE2U89Q=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=lDWIO5eI5yYewBgJTbSagojZKRD9LLMqJVUMXbzLjWr/KTeXVjpjsmXP73Nb1rtnQ
 Z14KgXjDHbEavAoPQofswaRzLDicxXDQoZlHRu5Ms0QVwAlG55tzexGyJKZpa3XlCm
 572YZfWvutksCs6jltsdLPGZIn2jr06By0raqkdg=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.102] ([46.125.249.100]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MvsEx-1haoFV2V9j-00su8g; Sun, 10
 Nov 2019 10:45:34 +0100
Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.
To: Eli Zaretskii <eliz@HIDDEN>
References: <20191102214135.lehpefr5o4cji6ca.ref@Ergus>
 <20191102214135.lehpefr5o4cji6ca@Ergus> <87pni9yl75.fsf@HIDDEN>
 <83h83fg50h.fsf@HIDDEN> <8736ezmhj2.fsf@HIDDEN>
 <5455d765-4954-6bc0-1961-619f6e865f59@HIDDEN>
 <20191108230837.7nlfzo44pu7c5x2o@Ergus>
 <257306d0-bf1a-2a5f-b98c-8e6ddcf44ea9@HIDDEN> <83ftixa1xe.fsf@HIDDEN>
 <e37b450a-00ad-c380-303b-87082c342575@HIDDEN> <83bltl9zai.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <5f00e53b-0306-3548-5cd2-36c4c65e8740@HIDDEN>
Date: Sun, 10 Nov 2019 10:45:33 +0100
MIME-Version: 1.0
In-Reply-To: <83bltl9zai.fsf@HIDDEN>
Content-Type: multipart/mixed; boundary="------------B0C927B4F770D571C62A208B"
Content-Language: de-AT
X-Provags-ID: V03:K1:Mfdzw1VTVi9LIvrEHFLgiwqWwPgQsK8+NhVNvlreAAUdSYg5Mii
 5MEo+xzK7b3HC2Pgeughl65X0s8gtQ1IrBJ7PFXiyyXcbmK8MsTU26FdqhYldEE1r6Jygui
 66h08xRq+95hP3lDRJHfbWct4baFewRa/lau/tZzkgerr5xPRY2YlUh4vFD4GJYwL4W6oxT
 S+udqm1u/C5Zbxd8rYyTA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:PH1yI4GMTqg=:haaKk+h7r+uo2DcJYR1Pm7
 Di4o7kmP4RwY0VgjgWeCrwsAeDi0716xP/bG6TOhITwAe5DdjmRFjeEVFbd+0cHJHwkt+dSYy
 JaaK31HKsJNztyhj2+NvRiVWFraUBT7E/QuyxLF22diQ7bGtsOYdE5voeksu1uhgBxLaop7dD
 5sPzzSMs3IliRrF+FUH2k25d30PCxI6axzCQ5vUtdlRODRtGsNRTZimP5R1Q6oBFf1xP1lXCE
 NhjO2DpopOkbrzDEgseXKZSGI8TiaIamhNJmat8oc1Kube2bW05HS2LUTHrIQ77ATwsiX+dGC
 EBYJ7wEq6COKrxMYUS/9XfQkYpz2qdQSERp4m1JIK/43m+Fj42wbQwKXWyR6N2jZqBa15ioJA
 o6kHObJ7ImJ8Cz/Q1Y82qUZ/WaAa4OTLX8sW00fqL4G2wWbKjxqPsNByBbbJeDVgUr1tfE2l0
 N43QmvZCIHsR/Mz2Ll/pyqzGM1S/XXTFanSYQLmYjEmMIimY32UnzTCKujWDEhN2AEr23Wesk
 QIPgINkB+/1JDuJapxuZDZ9wPhegDVj5Bn8spIFV5nQzAQY1c85j9gA4m98/Kj42XFRsk2jMI
 AlT2TAQIwfqkHta0HLGu5AFm6w+SjV1HZrsg2yOMN06f5rihp8iz5vn0auPciwiC0ZhR+RkXl
 liai+wDvHcB/63WaygnEaLdRkbFh1VSkGzMHJZTcyBzKQqWWdCciYaVQwtfUw4klLUeRtnZlu
 LEty6Zoltki+evPXFobr3NwP6LGmQ+aFZjOuPKLUBs9yLmx18ZgY0TmdyXPLqk/plHPST2TcQ
 B1VCF9JRC061e7aBV3ef3SDZAdr4QcTH+a9T9nczAJVyvdw8pUVDb6N4p8A0YXIoHFdArTQbj
 BaXbSg3VxNkVvabrCxDqCNZWjzDLfP4GI+iZmK/VeRrFzxpq9cV/lBthBsxeumu3p8KgCKVy2
 wlwZctjbx7UCuPuadNkxKGF46hOLjYv5Q45RxTNQ24WPVQfyNYvKaWPf/ZbStiZvWtwYI5t7n
 4qrcqu/4mfYPvS3TZxBVLeNgBpI4kMGS+anoYI+/O1mF9B5eEK/qAdx+jc5UNJ2PfRI2ue0Ba
 eJuQk74YCe91Ec3wctvjmg7BXkhEnCCPUS6sZeKHBY4PePgB6PPuZjGCdr30GLXxRZhCXhxvb
 Tojl4wuJvdSRs3PWl6VbhwhNe8FBcKCd9DEAUzjiFKu+lp+EyUO9AshmDMivRRVw0Zg6IWC+z
 mhM+h7DbkE2OcgAlpkrf5sUCJjsyVyO29IZ5Qag==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38038
Cc: 38038 <at> debbugs.gnu.org, spacibba@HIDDEN, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.
--------------B0C927B4F770D571C62A208B
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

 > It doesn't really matter, AFAIK, but BUFFERP is clearer, I think.

I can offer the attached patch.

martin

--------------B0C927B4F770D571C62A208B
Content-Type: text/plain; charset=UTF-8;
 name="buffer-local-underline.diffs"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="buffer-local-underline.diffs"
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--------------B0C927B4F770D571C62A208B--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38038; Package emacs. Full text available.

Message received at 38038 <at> debbugs.gnu.org:


Received: (at 38038) by debbugs.gnu.org; 9 Nov 2019 09:25:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 09 04:25:57 2019
Received: from localhost ([127.0.0.1]:48202 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTN0H-0007Fg-G5
	for submit <at> debbugs.gnu.org; Sat, 09 Nov 2019 04:25:57 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33959)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iTN0F-0007FT-P9
 for 38038 <at> debbugs.gnu.org; Sat, 09 Nov 2019 04:25:56 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37159)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iTN09-0004rB-5O; Sat, 09 Nov 2019 04:25:50 -0500
Received: from [176.228.60.248] (port=4051 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iTN08-0005Xr-Hj; Sat, 09 Nov 2019 04:25:48 -0500
Date: Sat, 09 Nov 2019 11:25:41 +0200
Message-Id: <83bltl9zai.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <e37b450a-00ad-c380-303b-87082c342575@HIDDEN> (message from
 martin rudalics on Sat, 9 Nov 2019 10:02:36 +0100)
Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.
References: <20191102214135.lehpefr5o4cji6ca.ref@Ergus>
 <20191102214135.lehpefr5o4cji6ca@Ergus> <87pni9yl75.fsf@HIDDEN>
 <83h83fg50h.fsf@HIDDEN> <8736ezmhj2.fsf@HIDDEN>
 <5455d765-4954-6bc0-1961-619f6e865f59@HIDDEN>
 <20191108230837.7nlfzo44pu7c5x2o@Ergus>
 <257306d0-bf1a-2a5f-b98c-8e6ddcf44ea9@HIDDEN> <83ftixa1xe.fsf@HIDDEN>
 <e37b450a-00ad-c380-303b-87082c342575@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38038
Cc: 38038 <at> debbugs.gnu.org, spacibba@HIDDEN, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: spacibba@HIDDEN, juri@HIDDEN, 38038 <at> debbugs.gnu.org
> From: martin rudalics <rudalics@HIDDEN>
> Date: Sat, 9 Nov 2019 10:02:36 +0100
> 
> The below makes the bug go away for the tool bar, I didn't try for the
> tab bar.

Thanks.

> I can continue working on this after we decided whether to ask for
> pseudo-windowness or just use the BUFFERP predicate as I did.

It doesn't really matter, AFAIK, but BUFFERP is clearer, I think.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38038; Package emacs. Full text available.

Message received at 38038 <at> debbugs.gnu.org:


Received: (at 38038) by debbugs.gnu.org; 9 Nov 2019 09:02:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 09 04:02:56 2019
Received: from localhost ([127.0.0.1]:48155 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTMdz-0006dl-UU
	for submit <at> debbugs.gnu.org; Sat, 09 Nov 2019 04:02:56 -0500
Received: from mout.gmx.net ([212.227.17.22]:52041)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1iTMdx-0006dV-GJ
 for 38038 <at> debbugs.gnu.org; Sat, 09 Nov 2019 04:02:53 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1573290157;
 bh=NTUx3vBHtRhgGd3Nni/DEvxyx5SyWvb+gA6fMOKN+A0=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=lDwqTtEfVH+SeoqeCnodBifEJL1Mx7hH5xcXMiq5VJn6Rp5ZPnxaBgEI+sd/76jY4
 F9chIA1Y0KzGgFome691dyv6hbamPuqD0jKYLkymO3jVdQDVZgqR/qfO8lzSrS/tk2
 DcG56xjFGkaBuEtbvzu3Kdp3t0mxA6zuhma1uvd0=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.102] ([46.125.249.42]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MuUnK-1hbx0Q30Fu-00rWss; Sat, 09
 Nov 2019 10:02:36 +0100
Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.
To: Eli Zaretskii <eliz@HIDDEN>
References: <20191102214135.lehpefr5o4cji6ca.ref@Ergus>
 <20191102214135.lehpefr5o4cji6ca@Ergus> <87pni9yl75.fsf@HIDDEN>
 <83h83fg50h.fsf@HIDDEN> <8736ezmhj2.fsf@HIDDEN>
 <5455d765-4954-6bc0-1961-619f6e865f59@HIDDEN>
 <20191108230837.7nlfzo44pu7c5x2o@Ergus>
 <257306d0-bf1a-2a5f-b98c-8e6ddcf44ea9@HIDDEN> <83ftixa1xe.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <e37b450a-00ad-c380-303b-87082c342575@HIDDEN>
Date: Sat, 9 Nov 2019 10:02:36 +0100
MIME-Version: 1.0
In-Reply-To: <83ftixa1xe.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:X3/XXsS2jlQgf3Omk+ab4+IB9VEdYO484mMeOn4N6y7A+MjC1ES
 AAu5RN72wMlLYu6eT6Q+dszPE/e7ZKosh+tUJPNQcr4r4W3WYiHKtcnsxjsG4Q1gqSaXXRp
 j0jvqHfNqQk6fvsZQDzulX2tQFCotEqm3RvQSiagJZtFQVOzJSvALUsFoWXlRyDYz2j+CtY
 CuNDJcqNUQyPM9t9JEF6g==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:bwpP0lvwtSU=:OZlwe3Txnhafcoc7M7d4BM
 quOlUTdnbnXU6sysBGrbIGOsorCbRTaff68tfO/n3ar6/AAPYsk6S1P0/BTMuj0ItHHLwMlzj
 1ANkhqN/W1hk8q1cDgPbShR2hD5KA0l0VYHdpS244XZJ3taXb7aeK3UTh3MjMGuVx3CE1/+po
 KzS2GeWB4SYDytHE/Z7Az2qEcRA6akqmGamOmHfCWGE5zQ2quy33X34zZIJaw0Eg+a6ErpuD3
 /DUCZL5dKZPdkCQeEd8KL0EFaZknfvF6jbKyeABuVSLd1R7i7BzKqMKxjMKia0pZRe3+HieHu
 lfTlxdlQr3M7dHLq99D3JVhMjsXgxHindPp7Pou+sG6nE+3Bux/ciaIG1EnqlN275/ZacKrMY
 UL6tQEazJU0729aEEHXYSLQ/Wodu2AsJeEsqhCcAq9iCIk5JIf4WbbB09FpZShsqi/o1coFcB
 341VjQKdMCJDq0tVhoi77zl4cJinEAxtpfhK9hLSCpoDPwye3adhIDSDUsWjpbvqjFImiLUr8
 56deBRDNRWAkz15NiEC21Db+Q2+KjdcAoj5XZWRONpJO9E8ynnB4tEEzVI6fwNMszsHnk5Fdq
 fUI72LaJ0fTbhrIEyelxUESZNk8UwnMCJfHDyYJ2uTBE7AAvFobN7fPPzkZXSai73cIIMRy2f
 AzRdXXRpd3kuu8tjPelm/DlIZpSJtI91rouJKABL4ytihta39Mi0Yk1o/YVE0RUhBgvX2OMAa
 zTzK3RJggveL8ipn9K/Ie81qbVa0jRp+LDC/vsvcRUPCStqz2VQI6GRNWdoFgeX08mCXcN/rY
 e03tUJ/v1tQTucQ8uA4c4UtplVRVJpHG5TbwOh+7FPLPG02Q++jRDdEQ8T6j9OVB10ceXR+jv
 D5gE5Zv4tDHbcZ9mJKxLR+JcBPiH6/m8caFc+ps2irI/WcNm/Wl9xv+sQXzWRb2WzdqBfQhEv
 elpoxL0PQNa6oqx2H3yxMqDAuJ78p89OnwMKKgy9aNARBk5bzYkB/sJd2S1OwXQG+diXXtIPp
 mz481MPD4mFP4+zkmVySyXDzOkyYz8yc6YlQ3MAbpDaREvxJRaLpdGxtntSUnO9SB15jPhOw+
 G/i8ryne0M+OoFor4J3Z0bWQl7bUw9AnXrW36ygdWCCifThLoOfA7mnwlTczYqloiiEEKAIw8
 9U8rC3cEFVT/3StXH31EKMQeXOu1Tveg8HOn2fjyVwrEKNNOU4GjUVmngCO+KLbHmIByWAT7x
 dChqKJOdin/WqYgMXowGEHjbcEonRdHSE2+uZFatgYqDwSrqFYcMja55pGIg=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38038
Cc: 38038 <at> debbugs.gnu.org, spacibba@HIDDEN, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > And the error says that the window has no buffer, is that right?

I think so but didn't look.  Is it a good idea to signal that error
here in the first place?

 >> where frame #3 indicates that we probably should avoid asking for a buffer
 >> local value in a pseudo window.  Right?
 >
 > Yes.  Does adding that fix the problem, including the original one
 > with the tab bar?

The below makes the bug go away for the tool bar, I didn't try for the
tab bar.

diff --git a/src/w32term.c b/src/w32term.c
index 9da0845836..68ae9be8e7 100644
--- a/src/w32term.c
+++ b/src/w32term.c
@@ -2512,20 +2512,23 @@ w32_draw_glyph_string (struct glyph_string *s)
  		  unsigned long minimum_offset;
  		  BOOL underline_at_descent_line;
  		  BOOL use_underline_position_properties;
-		  Lisp_Object val
-		    = buffer_local_value (Qunderline_minimum_offset,
-		                          s->w->contents);
+		  Lisp_Object val;
+
+		  if (BUFFERP (s->w->contents))
+		    val = buffer_local_value (Qunderline_minimum_offset,
+					      s->w->contents);
  		  if (FIXNUMP (val))
  		    minimum_offset = max (0, XFIXNUM (val));
  		  else
  		    minimum_offset = 1;
-		  val = buffer_local_value (Qx_underline_at_descent_line,
-					    s->w->contents);
+		  if (BUFFERP (s->w->contents))
+		    val = buffer_local_value (Qx_underline_at_descent_line,
+					      s->w->contents);
  		  underline_at_descent_line
  		    = !(NILP (val) || EQ (val, Qunbound));
-		  val
-		    = buffer_local_value (Qx_use_underline_position_properties,
-					  s->w->contents);
+		  if (BUFFERP (s->w->contents))
+		    val = buffer_local_value (Qx_use_underline_position_properties,
+					      s->w->contents);
  		  use_underline_position_properties
  		    = !(NILP (val) || EQ (val, Qunbound));

The bug was apparently introduced by

commit bbf53d99b57bd3d7fc0427d378df2efc6fa10e00
Author: Aaron Jensen <aaronjensen@HIDDEN>
Date:   Sat Mar 10 13:14:28 2018 +0200

     Allow underline position variables be buffer-local

     * src/nsterm.m (ns_draw_text_decoration):
     * src/w32term.c (x_draw_glyph_string):
     * src/xterm.c (x_draw_glyph_string): Allow underline-minimum-offset,
     underline-at-descent-line, and x-use-underline-position-properties
     be buffer local variables.  (Bug#30553)
     * src/xdisp.c (syms_of_xdisp) <underline-minimum-offset>: Add DEFSYM.

and probably manifests itself, as noted earlier, in all pseudo windows
that try to draw an underlined glyph string.

I can continue working on this after we decided whether to ask for
pseudo-windowness or just use the BUFFERP predicate as I did.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38038; Package emacs. Full text available.

Message received at 38038 <at> debbugs.gnu.org:


Received: (at 38038) by debbugs.gnu.org; 9 Nov 2019 08:29:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 09 03:29:02 2019
Received: from localhost ([127.0.0.1]:48140 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTM7C-0005nf-4w
	for submit <at> debbugs.gnu.org; Sat, 09 Nov 2019 03:29:02 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58008)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iTM79-0005nF-Is
 for 38038 <at> debbugs.gnu.org; Sat, 09 Nov 2019 03:29:00 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36717)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iTM74-0004te-5R; Sat, 09 Nov 2019 03:28:54 -0500
Received: from [176.228.60.248] (port=4488 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iTM73-0005fy-G6; Sat, 09 Nov 2019 03:28:53 -0500
Date: Sat, 09 Nov 2019 10:28:45 +0200
Message-Id: <83ftixa1xe.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <257306d0-bf1a-2a5f-b98c-8e6ddcf44ea9@HIDDEN> (message from
 martin rudalics on Sat, 9 Nov 2019 09:09:13 +0100)
Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.
References: <20191102214135.lehpefr5o4cji6ca.ref@Ergus>
 <20191102214135.lehpefr5o4cji6ca@Ergus> <87pni9yl75.fsf@HIDDEN>
 <83h83fg50h.fsf@HIDDEN> <8736ezmhj2.fsf@HIDDEN>
 <5455d765-4954-6bc0-1961-619f6e865f59@HIDDEN>
 <20191108230837.7nlfzo44pu7c5x2o@Ergus>
 <257306d0-bf1a-2a5f-b98c-8e6ddcf44ea9@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38038
Cc: 38038 <at> debbugs.gnu.org, spacibba@HIDDEN, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: Juri Linkov <juri@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
>  38038 <at> debbugs.gnu.org
> From: martin rudalics <rudalics@HIDDEN>
> Date: Sat, 9 Nov 2019 09:09:13 +0100
> 
> Here on Windows the latter form hangs on line 2516 of w32term.c
> 
> 		  Lisp_Object val
> 		    = buffer_local_value (Qunderline_minimum_offset,
> 		                          s->w->contents);
> 
> which continuously tries to signal an error with the backtrace
> 
> #0  xsignal2 (error_symbol=XIL(0xfd80), arg1=XIL(0x32d0), arg2=XIL(0)) at ../../src/eval.c:1713
> #1  0x00000004002dcaa5 in wrong_type_argument (predicate=XIL(0x32d0), value=XIL(0)) at ../../src/data.c:155

And the error says that the window has no buffer, is that right?

> where frame #3 indicates that we probably should avoid asking for a buffer
> local value in a pseudo window.  Right?

Yes.  Does adding that fix the problem, including the original one
with the tab bar?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38038; Package emacs. Full text available.

Message received at 38038 <at> debbugs.gnu.org:


Received: (at 38038) by debbugs.gnu.org; 9 Nov 2019 08:09:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 09 03:09:36 2019
Received: from localhost ([127.0.0.1]:48134 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTLoO-0005K2-Bk
	for submit <at> debbugs.gnu.org; Sat, 09 Nov 2019 03:09:36 -0500
Received: from mout.gmx.net ([212.227.17.20]:33963)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1iTLoM-0005Jp-B5
 for 38038 <at> debbugs.gnu.org; Sat, 09 Nov 2019 03:09:35 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1573286957;
 bh=j+rGHp7hp4dxc+UiDs1uQgr8TKiDG0o9oCbBidKSFrs=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=TSJoDhrK/OE6MgQhXDoZm4PTeiXNy98RL/bTfRIT2XTnoyiTY/tw8DO/MD1j3Ptir
 Z4SP1pI8unPNYGnSXpY5jBEWuDh4Lyq//vWbvMlJUAviiH4AzxlT/XH4CyoEzOlMoY
 h6ElcrGkVXrdaRbkx2S6VivmerW/cFdfhp7I+SZ8=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.102] ([46.125.249.42]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1N17UQ-1hn3711ksc-012VrH; Sat, 09
 Nov 2019 09:09:17 +0100
Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.
To: Ergus <spacibba@HIDDEN>
References: <20191102214135.lehpefr5o4cji6ca.ref@Ergus>
 <20191102214135.lehpefr5o4cji6ca@Ergus> <87pni9yl75.fsf@HIDDEN>
 <83h83fg50h.fsf@HIDDEN> <8736ezmhj2.fsf@HIDDEN>
 <5455d765-4954-6bc0-1961-619f6e865f59@HIDDEN>
 <20191108230837.7nlfzo44pu7c5x2o@Ergus>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <257306d0-bf1a-2a5f-b98c-8e6ddcf44ea9@HIDDEN>
Date: Sat, 9 Nov 2019 09:09:13 +0100
MIME-Version: 1.0
In-Reply-To: <20191108230837.7nlfzo44pu7c5x2o@Ergus>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:AhHe+Bh/kiFsXLUmKSN7MFtCB6jDF7FYIEm0TQ9C5yy5KC3ZbNE
 lq5je4aLkXUWseUm/BYiC4Jk83Io6WzFqmisZx/STjr9z980g+yo6Hv0bjHthChBbMEakOQ
 fDeAQWc33Cb2NZRdqE2WHZs2ksS8t5vLnLoa7hiwqvWTtmm/1vRkHfezPJ4oPdxuvJStEQS
 Ez9TgQxn7HrmSyOvE1VXQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:JSqyIGDfAuk=:atX6gBG6SR8D+GPkfz/LTe
 LcP99UdLshnxILcZ9CKR+KK7sn5JFRoIVatCzt+jXUiQuR/VG/adJjQI9CYncCAOaC6Fx+MF+
 i12Z0sKWbqrQj12gctZdFzB4RqXjMZdJkBl770xcteCEIGwP0SwHYtv7YYSzB83Okq3mGMN0j
 QegvOKbhpnEJwnSg1C9NVQxBl4Dq8PNcfKQzXMlJ+NymOjhNfqJ/6uwvpScvCn3P+ybM/5ZE/
 HXvLAcHJg1p1Gh35mGe0EyCuF2Zq/J3w/8NVBtZoX8iAAzrD+bc9hXWAr/WSFDM3hjMcox5Wc
 hp7Mp4WptI/BXKs9wbfzL9kcgqscRTf9zyfJLe+sGfRBakOSQ3V5HzzRVYXhfp/aa3TKD4FLd
 ImsOmM8SAUXMQfuMumc221+tLBTuP9XReOaOlMGFEiwEZO//4cHR3O4tudFZD+knr/pPCfiIG
 uFKC6u0pQGMeOh/ocId8GGHm3z3WXLPSYqi9P/aiEAKiAKBJhwox81jYhnsTcLwxx+zO1f4++
 5R/zK4p0Gu8ONCtwr5F3bk7jNahjqKEe+4gj6Z2qqBqZIAFZoqeEy5anrCOtFL33y9HBlhsV5
 6jRqR4wF69VsersxF+f9CWxsFwqYdHW6oRuwME2HlnWkq5CHC6u95LdRBPxnKOuE8eK2txI2Y
 n4PdM+hzM40tg+HXTAJxvOheZMXarD91ONti/9it4N3FnC5l7aVPF9xoeXzcV4o6/qSoFPhH9
 KYz4GYi2Wvc6ejcJf+9yH7Qb+0WYoHCvvGPOerWLIJZHgcxygJ/cuOj0zHDyPtHvqOK05D0rZ
 buHhRttx9I3fka4/ppq2aW3QSD2DNXjtRZy2ahrKzG7IfCxF30Y6d2YNJbU5E4yOwrfzbqDgY
 QIQ2ibIa991efll7lu7N4utlDE86coYS6K8fqW821WKjwtxo1wNCYxNwrKks56L7fEHgRb3Jq
 HWtvcdXay0Ds3sDPzoHY2RsDXdsRpQvnXOmQwicMmF8Ywm3PEeU07bAxK2L+WCYuqVCG1bnmf
 2ddekJVWkHMBeFmuK56+caFwHizaVAIyQY4lwDeCMuFjA9ahC9RDfni1OLpDSwXTjkXsAE77O
 +U/9+uWxWqrnZBe7iD5vrcJHuyUu9/3zu9E//rUXVHI7Y9DvsvEUOYXdJp2mBTWk2g0nV3uPi
 I+WxciBHPBXbEkyfaFOLZh8FTkd5G/sbh+O3gnaMCgGUvru1MUqC8xYMymIjkSU9BHlK011+7
 cxvMzhyljJOHdmSY21EFuViU6UdPpbUhltPM9kYqd3v93V8SA/fn2gKrOZY8=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38038
Cc: 38038 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > I removed the actual call in extend_face_to_end_of_line to merge_face
 > and the issue is still there. And it is actually the only place where
 > the :extend attribute is used now; the rest of the code does pretty much
 > the same than before.
 >
 > Just in case:
 >
 > I also made a rebase locally and removed all the commits related with
 > the extend attribute and the issue is still there. So it seems not be
 > related at all with the extend attribute...
 >
 > Any help here?. I am out of ideas. (and I don't have a clue about gc).

Thank you for all the work.  The most interesting aspect is that here it
neither hangs with

(set-face-attribute 'default nil :box t)
(set-face-attribute 'default nil :strike-through t)
(set-face-attribute 'default nil :overline t)

but definitely hangs with

(set-face-attribute 'tool-bar nil :underline t)

So what's so special about underline and the tool bar (or tab bar)?

Here on Windows the latter form hangs on line 2516 of w32term.c

		  Lisp_Object val
		    = buffer_local_value (Qunderline_minimum_offset,
		                          s->w->contents);

which continuously tries to signal an error with the backtrace

#0  xsignal2 (error_symbol=XIL(0xfd80), arg1=XIL(0x32d0), arg2=XIL(0)) at ../../src/eval.c:1713
#1  0x00000004002dcaa5 in wrong_type_argument (predicate=XIL(0x32d0), value=XIL(0)) at ../../src/data.c:155
#2  0x00000004001f82cb in CHECK_BUFFER (x=XIL(0)) at ../../src/buffer.h:707
#3  0x00000004001fed5c in buffer_local_value (variable=XIL(0xe670), buffer=XIL(0)) at ../../src/buffer.c:1205
#4  0x000000040049c84f in w32_draw_glyph_string (s=0xbfd2c0) at ../../src/w32term.c:2516
#5  0x00000004000adaba in draw_glyphs (w=0x5eba170, x=372, row=0x76248d0, area=TEXT_AREA, start=0, end=13, hl=DRAW_NORMAL_TEXT, overlaps=0) at ../../src/xdisp.c:28447
#6  0x00000004000b55a0 in gui_write_glyphs (w=0x5eba170, updated_row=0x76248d0, start=0x76f2ad0, updated_area=TEXT_AREA, len=13) at ../../src/xdisp.c:30474
#7  0x0000000400012021 in update_text_area (w=0x5eba170, updated_row=0x76248d0, vpos=0) at ../../src/dispnew.c:3832
#8  0x0000000400012b20 in update_window_line (w=0x5eba170, vpos=0, mouse_face_overwritten_p=0xbfd857) at ../../src/dispnew.c:4075
#9  0x00000004000115ab in update_window (w=0x5eba170, force_p=true) at ../../src/dispnew.c:3604
#10 0x0000000400010644 in update_frame (f=0x766c710, force_p=true, inhibit_hairy_id_p=false) at ../../src/dispnew.c:3206
#11 0x000000040007b0de in redisplay_internal () at ../../src/xdisp.c:15669
#12 0x0000000400078750 in redisplay () at ../../src/xdisp.c:14816
#13 0x00000004001b5665 in read_char (commandflag=1, map=XIL(0x770e293), prev_event=XIL(0), used_mouse_menu=0xbff25f, end_time=0x0) at ../../src/keyboard.c:2488
#14 0x00000004001c8842 in read_key_sequence (keybuf=0xbff490, prompt=XIL(0), dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=false) at ../../src/keyboard.c:9536
#15 0x00000004001b1dff in command_loop_1 () at ../../src/keyboard.c:1345
#16 0x00000004003194ef in internal_condition_case (bfun=0x4001b18e8 <command_loop_1>, handlers=XIL(0x90), hfun=0x4001b0d29 <cmd_error>) at ../../src/eval.c:1355
#17 0x00000004001b145e in command_loop_2 (ignore=XIL(0)) at ../../src/keyboard.c:1091
#18 0x0000000400318944 in internal_catch (tag=XIL(0xdfe0), func=0x4001b142c <command_loop_2>, arg=XIL(0)) at ../../src/eval.c:1116
#19 0x00000004001b13b4 in command_loop () at ../../src/keyboard.c:1070
#20 0x0000000000000000 in ?? ()

where frame #3 indicates that we probably should avoid asking for a buffer
local value in a pseudo window.  Right?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38038; Package emacs. Full text available.

Message received at 38038 <at> debbugs.gnu.org:


Received: (at 38038) by debbugs.gnu.org; 8 Nov 2019 23:09:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 08 18:09:10 2019
Received: from localhost ([127.0.0.1]:47929 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTDNO-0007yy-6f
	for submit <at> debbugs.gnu.org; Fri, 08 Nov 2019 18:09:10 -0500
Received: from sonic316-21.consmr.mail.ne1.yahoo.com ([66.163.187.147]:33902)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1iTDNJ-0007yA-LR
 for 38038 <at> debbugs.gnu.org; Fri, 08 Nov 2019 18:09:05 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1573254539; bh=8+ErspMwQLnzJGkMbcj1x990Pav4/prGhKeryO8+898=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=LX3EAAeRrWiM341QG5zIZiBjTvmsoOid6VloXp5f+a3769t+YwnaAsc/lAGO/Stka8GdTGvTHbVA8pKzjQXxGVK8LCdNzdMotDwD/pMnjcp+3Hvs4m9LJ8Lkz31zJY6STRBVM8kHUMBmkjvOxjX8B06kCIIf2HHthm5HY3jS5X7UCwleJAx7ua6VuF2zn9q7C2TblFzMAcj9owKcqd//t1inKTkVLTZuSF9XBmy9CsOMrBA/ByREZLCEUB2PUQsvEMPvORZFcFWTTlr/WiCEvqyXHvjc3J59lLq6Vx/Ql6gz74zbIQonI/mULCRv37OvQHDaXFR6EXss7cvB+j2FiQ==
X-YMail-OSG: vOSEmcUVM1mhTBNyr0D076B_hMxLqL10ag_YWYCHcW4NHV6mwBu74T25ZSjDRKp
 qqkrVyR2XNMLl7P6a1MkgkX6s1DuM3yA3S3Fexl2sAgCTm0Sw8YuTY0kr2OnFHav75AVbMs0NslY
 eOCwbubatbwDDBCv1gVN2nqlKVSrQd7ZaWRGetp.8.LKCD5Nh60pxxxqvearidHzt9kpelkj6mWB
 6efjikcbM68_H3ILlNDRvqA4qvjUT.tLC5LCcQsDooyZbyvawFQVoaMriBigHMmJ02gjlS_99.5x
 GopB.cjOoi1.HDiTZE7Xs3bBgPhx1YESwSDBBuZv9NkjrJKBT_9jPF7Z6qF15cj_J1X.2rt97bT.
 Lnws02I9UbzBJrL_hgWbcsAXC1Pp1dEMM1mGfR_g0uWUgRtFA_qXDAM_jug.sQttaricuu7KO7Wb
 1zhuxN7f0uIpOLb9xIa3rUAN7vVDXbziFPZablO4caGqHezRmIUZ9IfYzq.MhQ6GscTObe_dCDFw
 _WRuWrQl7Jsw2p3AiG91T.3_.QOjmO497s8hPMPway3k.9HpKjF5bFDt8SB5PXH9zNfTroNnNa39
 yZktrXj7yRXuJyPKAyeuu_ymlEqHsl8G5n4t.QGTFr5N6pqym8qr8znardXd4Bb4lZA6pRKoLu5p
 E5RKfSCZYRtmWjZ.pAzfrp92InwVGmYl0JuQCqaI0kdDbUNFJGIIB02GHYHCqlaI1NnNTWFt6ck4
 Dn4xlk8DhRxE2UejorQFia5hokMtNostqtIEa4uYuOqazV0EeFsGgetiywlff77.xfi1BZdEFAMv
 si6X5AM.qkjBOMom0OyEM9a2PYWz_lSi9E3_h4ULDvXEZx0zg4HQGKLntQnmrYUzBLpjeg4Kp3O6
 O8FxnZ_jG6MT3tUHATMOnVRbYmVj0nHlhrAYnQ29sM4tYqy8RfN1SXx8TMaZ7YfTpMpC8TFc.cJd
 NmvxrxFQ7_Ln5bYa3eJCo_8wIzxwOaH0W7Z7JAsXPTpUPm0kPAkpHz9B0c6YyVMm5k7STj1IF4nn
 nsUqrA9Czd4afb16UOCth6yJiC5a4bQiweO_4rme.PXYyVD5YNvH7GEn_GKDRcZA26ZfnBMAl5My
 sn2ZNaDUcXMSp43dI.Y96ETe0nSPdcV84x2fRpdkENRZzDTxA4dHronzi31wbN_LH9vruKfohbpH
 6htriJTm2yP3nJBHvhAkhdVpoCeo_avuoxF8ecMaxDYdLdl5tYru.DS0R49piuSZ9QryRa9.1iTP
 PHYeFnY4v9KbXNv1ECFChqf5pv3IyQG8FrGaIyuPdbcHgdFl5kgxEWuXKF0XDlLk4ZK13cuUKXlr
 t7hcMcSuQnn4jTI11mVgmYc2RmmSlexwCp68w0CA40FXEtAqIa8Dn
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic316.consmr.mail.ne1.yahoo.com with HTTP; Fri, 8 Nov 2019 23:08:59 +0000
Received: by smtp429.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID 2e370580ec402db60d4b62ae04071f40; 
 Fri, 08 Nov 2019 23:08:53 +0000 (UTC)
Date: Sat, 9 Nov 2019 00:08:37 +0100
From: Ergus <spacibba@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.
Message-ID: <20191108230837.7nlfzo44pu7c5x2o@Ergus>
References: <20191102214135.lehpefr5o4cji6ca.ref@Ergus>
 <20191102214135.lehpefr5o4cji6ca@Ergus>
 <87pni9yl75.fsf@HIDDEN> <83h83fg50h.fsf@HIDDEN>
 <8736ezmhj2.fsf@HIDDEN>
 <5455d765-4954-6bc0-1961-619f6e865f59@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline
In-Reply-To: <5455d765-4954-6bc0-1961-619f6e865f59@HIDDEN>
X-Mailer: WebService/1.1.14680 hermes Apache-HttpAsyncClient/4.1.4
 (Java/1.8.0_181)
Content-Length: 1131
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38038
Cc: 38038 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, Nov 08, 2019 at 10:21:14AM +0100, martin rudalics wrote:
>> These hangs occur not only with tab-bar, but also with menu-bar
>> when tab-bar is not enabled.  These hangs can be reproduced by
>> configuring --with-x-toolkit=no and running emacs -Q.
>> Then evaluating this causes hangs:
>>
>>    (set-face-attribute 'menu nil :weight 'ultra-bold :underline t)
>
>On Windows
>
>(set-face-attribute 'default nil :underline t)
>
>suffices to make it hang in the tool bar redisplay code.  I have the
>guts feeling that it's related to the new :extend mechanism because it
>works in Emacs 26.
>
>martin

Hi Martin:

I removed the actual call in extend_face_to_end_of_line to merge_face
and the issue is still there. And it is actually the only place where
the :extend attribute is used now; the rest of the code does pretty much
the same than before.

Just in case:

I also made a rebase locally and removed all the commits related with
the extend attribute and the issue is still there. So it seems not be
related at all with the extend attribute...

Any help here?. I am out of ideas. (and I don't have a clue about gc).

Ergus




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38038; Package emacs. Full text available.

Message received at 38038 <at> debbugs.gnu.org:


Received: (at 38038) by debbugs.gnu.org; 8 Nov 2019 23:09:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 08 18:09:10 2019
Received: from localhost ([127.0.0.1]:47927 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTDNL-0007yr-0g
	for submit <at> debbugs.gnu.org; Fri, 08 Nov 2019 18:09:10 -0500
Received: from sonic316-21.consmr.mail.ne1.yahoo.com ([66.163.187.147]:37600)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1iTDNJ-0007y9-A9
 for 38038 <at> debbugs.gnu.org; Fri, 08 Nov 2019 18:09:05 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1573254539; bh=8+ErspMwQLnzJGkMbcj1x990Pav4/prGhKeryO8+898=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=LX3EAAeRrWiM341QG5zIZiBjTvmsoOid6VloXp5f+a3769t+YwnaAsc/lAGO/Stka8GdTGvTHbVA8pKzjQXxGVK8LCdNzdMotDwD/pMnjcp+3Hvs4m9LJ8Lkz31zJY6STRBVM8kHUMBmkjvOxjX8B06kCIIf2HHthm5HY3jS5X7UCwleJAx7ua6VuF2zn9q7C2TblFzMAcj9owKcqd//t1inKTkVLTZuSF9XBmy9CsOMrBA/ByREZLCEUB2PUQsvEMPvORZFcFWTTlr/WiCEvqyXHvjc3J59lLq6Vx/Ql6gz74zbIQonI/mULCRv37OvQHDaXFR6EXss7cvB+j2FiQ==
X-YMail-OSG: vOSEmcUVM1mhTBNyr0D076B_hMxLqL10ag_YWYCHcW4NHV6mwBu74T25ZSjDRKp
 qqkrVyR2XNMLl7P6a1MkgkX6s1DuM3yA3S3Fexl2sAgCTm0Sw8YuTY0kr2OnFHav75AVbMs0NslY
 eOCwbubatbwDDBCv1gVN2nqlKVSrQd7ZaWRGetp.8.LKCD5Nh60pxxxqvearidHzt9kpelkj6mWB
 6efjikcbM68_H3ILlNDRvqA4qvjUT.tLC5LCcQsDooyZbyvawFQVoaMriBigHMmJ02gjlS_99.5x
 GopB.cjOoi1.HDiTZE7Xs3bBgPhx1YESwSDBBuZv9NkjrJKBT_9jPF7Z6qF15cj_J1X.2rt97bT.
 Lnws02I9UbzBJrL_hgWbcsAXC1Pp1dEMM1mGfR_g0uWUgRtFA_qXDAM_jug.sQttaricuu7KO7Wb
 1zhuxN7f0uIpOLb9xIa3rUAN7vVDXbziFPZablO4caGqHezRmIUZ9IfYzq.MhQ6GscTObe_dCDFw
 _WRuWrQl7Jsw2p3AiG91T.3_.QOjmO497s8hPMPway3k.9HpKjF5bFDt8SB5PXH9zNfTroNnNa39
 yZktrXj7yRXuJyPKAyeuu_ymlEqHsl8G5n4t.QGTFr5N6pqym8qr8znardXd4Bb4lZA6pRKoLu5p
 E5RKfSCZYRtmWjZ.pAzfrp92InwVGmYl0JuQCqaI0kdDbUNFJGIIB02GHYHCqlaI1NnNTWFt6ck4
 Dn4xlk8DhRxE2UejorQFia5hokMtNostqtIEa4uYuOqazV0EeFsGgetiywlff77.xfi1BZdEFAMv
 si6X5AM.qkjBOMom0OyEM9a2PYWz_lSi9E3_h4ULDvXEZx0zg4HQGKLntQnmrYUzBLpjeg4Kp3O6
 O8FxnZ_jG6MT3tUHATMOnVRbYmVj0nHlhrAYnQ29sM4tYqy8RfN1SXx8TMaZ7YfTpMpC8TFc.cJd
 NmvxrxFQ7_Ln5bYa3eJCo_8wIzxwOaH0W7Z7JAsXPTpUPm0kPAkpHz9B0c6YyVMm5k7STj1IF4nn
 nsUqrA9Czd4afb16UOCth6yJiC5a4bQiweO_4rme.PXYyVD5YNvH7GEn_GKDRcZA26ZfnBMAl5My
 sn2ZNaDUcXMSp43dI.Y96ETe0nSPdcV84x2fRpdkENRZzDTxA4dHronzi31wbN_LH9vruKfohbpH
 6htriJTm2yP3nJBHvhAkhdVpoCeo_avuoxF8ecMaxDYdLdl5tYru.DS0R49piuSZ9QryRa9.1iTP
 PHYeFnY4v9KbXNv1ECFChqf5pv3IyQG8FrGaIyuPdbcHgdFl5kgxEWuXKF0XDlLk4ZK13cuUKXlr
 t7hcMcSuQnn4jTI11mVgmYc2RmmSlexwCp68w0CA40FXEtAqIa8Dn
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic316.consmr.mail.ne1.yahoo.com with HTTP; Fri, 8 Nov 2019 23:08:59 +0000
Received: by smtp429.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID 2e370580ec402db60d4b62ae04071f40; 
 Fri, 08 Nov 2019 23:08:53 +0000 (UTC)
Date: Sat, 9 Nov 2019 00:08:37 +0100
From: Ergus <spacibba@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.
Message-ID: <20191108230837.7nlfzo44pu7c5x2o@Ergus>
References: <20191102214135.lehpefr5o4cji6ca.ref@Ergus>
 <20191102214135.lehpefr5o4cji6ca@Ergus>
 <87pni9yl75.fsf@HIDDEN> <83h83fg50h.fsf@HIDDEN>
 <8736ezmhj2.fsf@HIDDEN>
 <5455d765-4954-6bc0-1961-619f6e865f59@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline
In-Reply-To: <5455d765-4954-6bc0-1961-619f6e865f59@HIDDEN>
X-Mailer: WebService/1.1.14680 hermes Apache-HttpAsyncClient/4.1.4
 (Java/1.8.0_181)
Content-Length: 1131
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38038
Cc: 38038 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, Nov 08, 2019 at 10:21:14AM +0100, martin rudalics wrote:
>> These hangs occur not only with tab-bar, but also with menu-bar
>> when tab-bar is not enabled.  These hangs can be reproduced by
>> configuring --with-x-toolkit=no and running emacs -Q.
>> Then evaluating this causes hangs:
>>
>>    (set-face-attribute 'menu nil :weight 'ultra-bold :underline t)
>
>On Windows
>
>(set-face-attribute 'default nil :underline t)
>
>suffices to make it hang in the tool bar redisplay code.  I have the
>guts feeling that it's related to the new :extend mechanism because it
>works in Emacs 26.
>
>martin

Hi Martin:

I removed the actual call in extend_face_to_end_of_line to merge_face
and the issue is still there. And it is actually the only place where
the :extend attribute is used now; the rest of the code does pretty much
the same than before.

Just in case:

I also made a rebase locally and removed all the commits related with
the extend attribute and the issue is still there. So it seems not be
related at all with the extend attribute...

Any help here?. I am out of ideas. (and I don't have a clue about gc).

Ergus




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38038; Package emacs. Full text available.

Message received at 38038 <at> debbugs.gnu.org:


Received: (at 38038) by debbugs.gnu.org; 8 Nov 2019 21:40:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 08 16:40:07 2019
Received: from localhost ([127.0.0.1]:47852 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTBzC-0005kn-RU
	for submit <at> debbugs.gnu.org; Fri, 08 Nov 2019 16:40:07 -0500
Received: from sonic303-22.consmr.mail.ne1.yahoo.com ([66.163.188.148]:40333)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1iTBz9-0005k3-LI
 for 38038 <at> debbugs.gnu.org; Fri, 08 Nov 2019 16:40:04 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1573249197; bh=8Q4kkO7lf2XY+rilDPoF6x4iOSRglMVLleARG7HEx4w=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=bljZlqCqU+HPtJQeuoHIoRZ7koguZ2cfWX+ePoRXTNlG7yaQIFKs9UxKiAnO0kxErcIevS6HSuoVo33IltiKY9lZDbuaJgbPBp0hmCmI4mRjT567ib5V9QL1sqaYbE6fWvNhkPCSmj/y9EWHWtCgVO/UdZQrJC6VkJAyzTLWC3BHMysJO2hJxSHYjNq4bruel5sZQSsvMevE/xwR7FGIF1jCVYFkCRutCNQRTDZi7k/SO0yBWqItIaNO+UCgQqB7Xt91x3FBL5alvq5TvFxjjYODchLvnsplqvtRg5szl0Lf7pzqJLCcodB/yv4FOdHqrmXyWq5B4RAZYGDn/D969A==
X-YMail-OSG: Jy_JlNAVM1lAnaBPpFzcc.44RnlE8nXs..iWZDqUpVt35JcSIHQnuDe.Gi9W89x
 LAHFx6MXBG9fIVCCF9xwTEzKJq__OyNenS7sKdpNeyLLXRk0RJ1GR.EJ3ZkycGYR8uzrrLw9pQbj
 pNFVvrJh5pdgawoBUu_VGIC.PN75za9hHjt5moz2k543sQ6wAsJMa.P3Bga7XW86M1W7vJCII3Ra
 DRIZEaXq4eBikc8xgQqLFd1hXJJg8QXjHSDInsyRqUtc7lJtsxnoQnVae0ogD4MpHlnAYY6.tzm_
 hkMePaIKfpQMQjOYZ9hPM_gGPpQou6IRzInGYM9gni36uy94FHG8Jtpn3W7vkGj.x_tY.QBj3q9D
 5C8GbYpG7iWMhFs7MzsabDtlYqca1ZHxWLg19NXxWdT5T0Y8X_ZhMeovyAJFYhsw_hKsZHBLoQg7
 ylk0Sny2jlLLpaPMM8VcftSiekjLA05QHnJR_bxuTJmHdNfO0E1qIa2QOo3c7.DlJhxG5y_R4u7J
 uwnPWcv1qTXLy9z1v5Gm0mbRZ_onIbt4pGaq35BcXjoBaY7qJP_47q7F77Rsm9300ZpLbk_I_I1F
 6uxaMBlSdizqqv7SK26lEctQijg5L_jMmo4ikzQFjfImmTG02Mn9d3nwRcCaJeKAE3dfvRMXk82c
 DpLIYlGnWeK5Khp8r9et2xBmH3h43sN_uy8wi6XKGXqAREfXx7FQsgM4qHvJ5UHp3RF8VvhoCmyk
 TL1SybsHT4f9popIDUyz8hOguhozdIyhV8guq6copzo25EJ1cqOCvFc.jBwchfi9o0EZuIrHbVk5
 cYMUZY9xASxWX5S6zRTjBbmnFVUepUgCozs1A9gI8ftGqWsC.RDSmK00UFjj9ixdocHMykDMXgiG
 8kQs_Zv3XeeycfL01rwkrHyzHKKpCRipP2ujesCx_PoOn4RnP29eOauqnjPxDOBr63S0NKoabxmz
 oyZrskwkwSXe1KR2tvN8PDHDN6SBfOQrwNn3bNkXGmYUjT8dj7dSTINojCa_HY25ho7J72j4lGoz
 _F9PHB9S4QUXfMcsURRQG9FJtWW_S1BOQ_UObXF9G8BZ2.wt6XSoDc4D8oFuV_AJwmBa8HUWOdSW
 pgjdemJPPYokdowmANzBza3WTyMHNrWP8.PT4xxKHtvzKD18Wfml1g5L9JnDQ9YXombSLBQLMVjm
 eReUU0i6bK1VlV3cM4RV1gELYdrVg1wiMxVe098CjMJ3nNoH5QYwJUE7gjDxg69SrdK.FRMRuC1o
 2.VPkZQp3njOYqv4KbcZzIkyPqS2mn5FjgIuGMyftSon3xU327MQ81sZnPf7S7YqzrFh6Sv5LxjV
 WeWM6J872Mdiv_HrjR1jlpOZHHdHFz0D5j2814hR6tCewXf8exIFQMi0GfGo-
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic303.consmr.mail.ne1.yahoo.com with HTTP; Fri, 8 Nov 2019 21:39:57 +0000
Received: by smtp412.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID f26bc2876020d74caf918a267fe51fee; 
 Fri, 08 Nov 2019 21:39:52 +0000 (UTC)
Date: Fri, 8 Nov 2019 22:39:38 +0100
From: Ergus <spacibba@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.
Message-ID: <20191108213938.lp5yt753fszjrroe@Ergus>
References: <20191102214135.lehpefr5o4cji6ca.ref@Ergus>
 <20191102214135.lehpefr5o4cji6ca@Ergus>
 <87pni9yl75.fsf@HIDDEN> <83h83fg50h.fsf@HIDDEN>
 <8736ezmhj2.fsf@HIDDEN>
 <5455d765-4954-6bc0-1961-619f6e865f59@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline
In-Reply-To: <5455d765-4954-6bc0-1961-619f6e865f59@HIDDEN>
X-Mailer: WebService/1.1.14680 hermes Apache-HttpAsyncClient/4.1.4
 (Java/1.8.0_181)
Content-Length: 865
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38038
Cc: 38038 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, Nov 08, 2019 at 10:21:14AM +0100, martin rudalics wrote:
>> These hangs occur not only with tab-bar, but also with menu-bar
>> when tab-bar is not enabled.  These hangs can be reproduced by
>> configuring --with-x-toolkit=no and running emacs -Q.
>> Then evaluating this causes hangs:
>>
>>    (set-face-attribute 'menu nil :weight 'ultra-bold :underline t)
>
>On Windows
>
>(set-face-attribute 'default nil :underline t)
>
>suffices to make it hang in the tool bar redisplay code.  I have the
>guts feeling that it's related to the new :extend mechanism because it
>works in Emacs 26.
>
>martin

Hi Martin:

I will try a simple check to test if it is relates commenting the call
to merge in extend_face_to_end_of_line. But I don't see it related at
all; the loop seems to be in some gc functions. Remember that the gc has
been changes too since emacs 26.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38038; Package emacs. Full text available.

Message received at 38038 <at> debbugs.gnu.org:


Received: (at 38038) by debbugs.gnu.org; 8 Nov 2019 21:40:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 08 16:40:06 2019
Received: from localhost ([127.0.0.1]:47850 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTBzC-0005kk-G2
	for submit <at> debbugs.gnu.org; Fri, 08 Nov 2019 16:40:06 -0500
Received: from sonic303-22.consmr.mail.ne1.yahoo.com ([66.163.188.148]:34770)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1iTBz9-0005k4-FQ
 for 38038 <at> debbugs.gnu.org; Fri, 08 Nov 2019 16:40:04 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1573249197; bh=8Q4kkO7lf2XY+rilDPoF6x4iOSRglMVLleARG7HEx4w=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=bljZlqCqU+HPtJQeuoHIoRZ7koguZ2cfWX+ePoRXTNlG7yaQIFKs9UxKiAnO0kxErcIevS6HSuoVo33IltiKY9lZDbuaJgbPBp0hmCmI4mRjT567ib5V9QL1sqaYbE6fWvNhkPCSmj/y9EWHWtCgVO/UdZQrJC6VkJAyzTLWC3BHMysJO2hJxSHYjNq4bruel5sZQSsvMevE/xwR7FGIF1jCVYFkCRutCNQRTDZi7k/SO0yBWqItIaNO+UCgQqB7Xt91x3FBL5alvq5TvFxjjYODchLvnsplqvtRg5szl0Lf7pzqJLCcodB/yv4FOdHqrmXyWq5B4RAZYGDn/D969A==
X-YMail-OSG: Jy_JlNAVM1lAnaBPpFzcc.44RnlE8nXs..iWZDqUpVt35JcSIHQnuDe.Gi9W89x
 LAHFx6MXBG9fIVCCF9xwTEzKJq__OyNenS7sKdpNeyLLXRk0RJ1GR.EJ3ZkycGYR8uzrrLw9pQbj
 pNFVvrJh5pdgawoBUu_VGIC.PN75za9hHjt5moz2k543sQ6wAsJMa.P3Bga7XW86M1W7vJCII3Ra
 DRIZEaXq4eBikc8xgQqLFd1hXJJg8QXjHSDInsyRqUtc7lJtsxnoQnVae0ogD4MpHlnAYY6.tzm_
 hkMePaIKfpQMQjOYZ9hPM_gGPpQou6IRzInGYM9gni36uy94FHG8Jtpn3W7vkGj.x_tY.QBj3q9D
 5C8GbYpG7iWMhFs7MzsabDtlYqca1ZHxWLg19NXxWdT5T0Y8X_ZhMeovyAJFYhsw_hKsZHBLoQg7
 ylk0Sny2jlLLpaPMM8VcftSiekjLA05QHnJR_bxuTJmHdNfO0E1qIa2QOo3c7.DlJhxG5y_R4u7J
 uwnPWcv1qTXLy9z1v5Gm0mbRZ_onIbt4pGaq35BcXjoBaY7qJP_47q7F77Rsm9300ZpLbk_I_I1F
 6uxaMBlSdizqqv7SK26lEctQijg5L_jMmo4ikzQFjfImmTG02Mn9d3nwRcCaJeKAE3dfvRMXk82c
 DpLIYlGnWeK5Khp8r9et2xBmH3h43sN_uy8wi6XKGXqAREfXx7FQsgM4qHvJ5UHp3RF8VvhoCmyk
 TL1SybsHT4f9popIDUyz8hOguhozdIyhV8guq6copzo25EJ1cqOCvFc.jBwchfi9o0EZuIrHbVk5
 cYMUZY9xASxWX5S6zRTjBbmnFVUepUgCozs1A9gI8ftGqWsC.RDSmK00UFjj9ixdocHMykDMXgiG
 8kQs_Zv3XeeycfL01rwkrHyzHKKpCRipP2ujesCx_PoOn4RnP29eOauqnjPxDOBr63S0NKoabxmz
 oyZrskwkwSXe1KR2tvN8PDHDN6SBfOQrwNn3bNkXGmYUjT8dj7dSTINojCa_HY25ho7J72j4lGoz
 _F9PHB9S4QUXfMcsURRQG9FJtWW_S1BOQ_UObXF9G8BZ2.wt6XSoDc4D8oFuV_AJwmBa8HUWOdSW
 pgjdemJPPYokdowmANzBza3WTyMHNrWP8.PT4xxKHtvzKD18Wfml1g5L9JnDQ9YXombSLBQLMVjm
 eReUU0i6bK1VlV3cM4RV1gELYdrVg1wiMxVe098CjMJ3nNoH5QYwJUE7gjDxg69SrdK.FRMRuC1o
 2.VPkZQp3njOYqv4KbcZzIkyPqS2mn5FjgIuGMyftSon3xU327MQ81sZnPf7S7YqzrFh6Sv5LxjV
 WeWM6J872Mdiv_HrjR1jlpOZHHdHFz0D5j2814hR6tCewXf8exIFQMi0GfGo-
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic303.consmr.mail.ne1.yahoo.com with HTTP; Fri, 8 Nov 2019 21:39:57 +0000
Received: by smtp412.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID f26bc2876020d74caf918a267fe51fee; 
 Fri, 08 Nov 2019 21:39:52 +0000 (UTC)
Date: Fri, 8 Nov 2019 22:39:38 +0100
From: Ergus <spacibba@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.
Message-ID: <20191108213938.lp5yt753fszjrroe@Ergus>
References: <20191102214135.lehpefr5o4cji6ca.ref@Ergus>
 <20191102214135.lehpefr5o4cji6ca@Ergus>
 <87pni9yl75.fsf@HIDDEN> <83h83fg50h.fsf@HIDDEN>
 <8736ezmhj2.fsf@HIDDEN>
 <5455d765-4954-6bc0-1961-619f6e865f59@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline
In-Reply-To: <5455d765-4954-6bc0-1961-619f6e865f59@HIDDEN>
X-Mailer: WebService/1.1.14680 hermes Apache-HttpAsyncClient/4.1.4
 (Java/1.8.0_181)
Content-Length: 865
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38038
Cc: 38038 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, Nov 08, 2019 at 10:21:14AM +0100, martin rudalics wrote:
>> These hangs occur not only with tab-bar, but also with menu-bar
>> when tab-bar is not enabled.  These hangs can be reproduced by
>> configuring --with-x-toolkit=no and running emacs -Q.
>> Then evaluating this causes hangs:
>>
>>    (set-face-attribute 'menu nil :weight 'ultra-bold :underline t)
>
>On Windows
>
>(set-face-attribute 'default nil :underline t)
>
>suffices to make it hang in the tool bar redisplay code.  I have the
>guts feeling that it's related to the new :extend mechanism because it
>works in Emacs 26.
>
>martin

Hi Martin:

I will try a simple check to test if it is relates commenting the call
to merge in extend_face_to_end_of_line. But I don't see it related at
all; the loop seems to be in some gc functions. Remember that the gc has
been changes too since emacs 26.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38038; Package emacs. Full text available.

Message received at 38038 <at> debbugs.gnu.org:


Received: (at 38038) by debbugs.gnu.org; 8 Nov 2019 09:21:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 08 04:21:34 2019
Received: from localhost ([127.0.0.1]:44611 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iT0ST-0005d7-QJ
	for submit <at> debbugs.gnu.org; Fri, 08 Nov 2019 04:21:33 -0500
Received: from mout.gmx.net ([212.227.17.21]:58763)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1iT0SR-0005cq-Pz
 for 38038 <at> debbugs.gnu.org; Fri, 08 Nov 2019 04:21:32 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1573204874;
 bh=laQ+R+rBJnX2lVITP9G9pgbu0jeXM1EtTWjwQvhz8tQ=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=jXWPzQPfLFydxlqwhQWPjiiC7uIXoi4CAVgP8EUU4wvuQXKELzpZsYnwCyRnyaG78
 T7POJo7w5iX83a6Amyo/tGINltCU6HGBIFAFvfYlhiyda7sPu2Awsrlk2gts27lYqr
 K9vD4ZHTQBX2z2EvXwHVlxl1heE8QKD3+kyFL9XU=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.102] ([212.95.7.234]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1N6KYb-1hrUnr0QVF-016cbw; Fri, 08
 Nov 2019 10:21:14 +0100
Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.
To: Juri Linkov <juri@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <20191102214135.lehpefr5o4cji6ca.ref@Ergus>
 <20191102214135.lehpefr5o4cji6ca@Ergus> <87pni9yl75.fsf@HIDDEN>
 <83h83fg50h.fsf@HIDDEN> <8736ezmhj2.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <5455d765-4954-6bc0-1961-619f6e865f59@HIDDEN>
Date: Fri, 8 Nov 2019 10:21:14 +0100
MIME-Version: 1.0
In-Reply-To: <8736ezmhj2.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:VY4j7C+FpDmWStNjdOlQRhH6/mDOIEDZh+GPhZt9RUYyarknr4C
 NbCfnMt4zmPI9kF+HQNPvCgCyFUmdn4yAxdncx55lNZ5y59a+BAQhKZ2WQHRb2jHP5aHtnv
 805vf9CCv5I18OwW0hW/B0BOIU+VI2bDmE4AvifGzfzHWjvMzmg/l7ZSmMI9PsniC+mhetG
 asqWxKE8IrOOC6GjmJbtA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:eJOTnODgdLg=:buM1UnnEInVDoP0uu46Rqw
 dd7qNbBVkjwISwCE5fWvmw04ZVPKphXaZx4LbKyX+b1brmBVMWJ+MtFjETWOpqg7z0/34qr7V
 BEJZud/e229ALeuj+TYXmYoJQHm19sR/FALxcfmORbqpwF0Ee9APflVWl2tlGhVvXwvPspalg
 9/9eHcO0XXYaQm8g01SnQmzOm7gKReVK078UcXy4jiRU4/nLqNNE3SKoULcFCHC7rBILyOTAi
 FU/QGbq8wqIUTMtzUkEn2PRkKtBPz/huws/B9k1JOou2Kgrn3qOztdLONLtvuNdc+qMLOiN9q
 twCKoXAQMlESAT9BGYmKO1lQ/PonQlOyxxLjfm5uG6NDles9oR1BzfQ2jobPlCAtDcJ79UWbE
 cdRWhSXoQukTaQmHi9ZDBmea1hDfaOqTZdvH/7WHSj85mseKrhkacl8kGsOdqdtD2WHLEfeib
 RS/+bBFyzhQFt5434OvuFLIrF3HLWmZaHzp/Q4xxYWybfNy5Z/vNv3c5F6fR8b4Vz3U9zbT+V
 LtSdc9TbMdS3hOTq0ShTHh9c/tXZiitwJpxpKHBf/oidHPv5MAh9ZMv6c3aRqYpOe2R+ULbhQ
 dzK8/kQCZZyQiA99aBfpWjFNXK84+6E0PVessbVUTr3ulYZTKPh0aXQ5mm9t1ZIStHBgwBtVY
 A90nJ7/P2iMXhfITDdfRejoFGWih52ZZiRhrew2GUrfsscgL5kFFhKf+3keSPDhVn2fxRwoIh
 1riZ/hhbAcwinkF0OYasZqldNaZkmRkAP0jiMvasmfCDkIw7Kr8s77GbbWN0LZrn5AdrklZw8
 4c6D07/SBaCLM4Vlxp0xRJQkZ3dPTdX9RrGN3pAjtdmc8Pi8gf5tbzg98nULLoPj7LAXBa4Z+
 vTkKSOBUlK8DnOgg/ia5HT6qNHJLVjljK7crzjl22jlayZ+63y/PC6N9eqAWTcmi5RtSuUQxX
 vfm514v6xrvJHfPGliKCE3Q9am7Nj3Q38UKxdyOf51AEEtJdRtROTXiTnYyg5QjLAcHpxx8Hd
 6aSN3YH9w2Ezj8JFI/3nf7MXa4M87e5ijpsk20PpOaPCrXB72POonpnOwnKeG3H0YW9DkHFRw
 tu2gI/8eUFkf2D6kDhv7F2Czw8LB7Vf2PTcaB7Uiga53tMSHojc3vbS4wFyAmSpJcAb4uw5AL
 hn3xLcc9wpI0KK6dA7H5ZWdSakLgq0urrTOd2g8IKClsNwmlBEYCybVsyqZ/YMjZ6I1x1XARh
 I96gXP9tCCklZVKhLX1EEQYZgulSFuYwGlfrKZ/fnA76SY9fr0Z5yi9A7uRPZvY1TB6uB3BB4
 GG7Is4Oz
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > These hangs occur not only with tab-bar, but also with
 menu-bar > when tab-bar is not enabled. These hangs can be reproduced by >
 configuring --with-x-toolkit=no and running emacs -Q. > Then evalua [...]
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [212.95.7.234 listed in zen.spamhaus.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (rudalics[at]gmx.at)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.17.21 listed in list.dnswl.org]
X-Debbugs-Envelope-To: 38038
Cc: 38038 <at> debbugs.gnu.org, spacibba@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > These hangs occur not only with tab-bar, but also with
   menu-bar > when tab-bar is not enabled. These hangs can be reproduced by >
    configuring --with-x-toolkit=no and running emacs -Q. > Then evalua [...]
    
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.17.21 listed in list.dnswl.org]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [212.95.7.234 listed in zen.spamhaus.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (rudalics[at]gmx.at)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

 > These hangs occur not only with tab-bar, but also with menu-bar
 > when tab-bar is not enabled.  These hangs can be reproduced by
 > configuring --with-x-toolkit=no and running emacs -Q.
 > Then evaluating this causes hangs:
 >
 >    (set-face-attribute 'menu nil :weight 'ultra-bold :underline t)

On Windows

(set-face-attribute 'default nil :underline t)

suffices to make it hang in the tool bar redisplay code.  I have the
guts feeling that it's related to the new :extend mechanism because it
works in Emacs 26.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38038; Package emacs. Full text available.

Message received at 38038 <at> debbugs.gnu.org:


Received: (at 38038) by debbugs.gnu.org; 7 Nov 2019 22:58:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 07 17:58:52 2019
Received: from localhost ([127.0.0.1]:44098 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iSqjs-0005ge-C9
	for submit <at> debbugs.gnu.org; Thu, 07 Nov 2019 17:58:52 -0500
Received: from aye.elm.relay.mailchannels.net ([23.83.212.6]:19189)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1iSqjm-0005gS-If
 for 38038 <at> debbugs.gnu.org; Thu, 07 Nov 2019 17:58:47 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 0A9695E1D95;
 Thu,  7 Nov 2019 22:58:45 +0000 (UTC)
Received: from pdx1-sub0-mail-a69.g.dreamhost.com
 (100-96-18-10.trex.outbound.svc.cluster.local [100.96.18.10])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 91EDE5E1822;
 Thu,  7 Nov 2019 22:58:44 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a69.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Thu, 07 Nov 2019 22:58:44 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Cure-Juvenile: 6b3c46dd60469eb8_1573167524837_2367617843
X-MC-Loop-Signature: 1573167524837:438589517
X-MC-Ingress-Time: 1573167524837
Received: from pdx1-sub0-mail-a69.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a69.g.dreamhost.com (Postfix) with ESMTP id D08268A997;
 Thu,  7 Nov 2019 14:58:43 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=qmEqlCCEs2qGTpKJBhkGzaA0ZOw=; b=
 sFU6Sm2ds6FERxtSiY+wq1nrn2G1qCD8wLsXuFZy+oH+b7VRNt8XLMelyi31RqCl
 651wOMgQprrAocAy0RD9r8aTDp6k7aqPfmBMpGZyjqIlaQEEsXjA0yd7Bgcsmb9g
 z6Yvc1IoDt5bHEKKFZ5u6LlbYzY1jnFp4v4MimGYTFc=
Received: from mail.jurta.org (m91-129-102-1.cust.tele2.ee [91.129.102.1])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a69.g.dreamhost.com (Postfix) with ESMTPSA id A1D4B8AA50;
 Thu,  7 Nov 2019 14:58:40 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a69
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.
Organization: LINKOV.NET
References: <20191102214135.lehpefr5o4cji6ca.ref@Ergus>
 <20191102214135.lehpefr5o4cji6ca@Ergus>
 <87pni9yl75.fsf@HIDDEN> <83h83fg50h.fsf@HIDDEN>
Date: Fri, 08 Nov 2019 00:36:25 +0200
In-Reply-To: <83h83fg50h.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 07 Nov
 2019 16:01:02 +0200")
Message-ID: <8736ezmhj2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38038
Cc: 38038 <at> debbugs.gnu.org, spacibba@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> Does Emacs freeze when you set the 'default' face to ultra-bold underline?
>>
>> (set-face-attribute 'default nil
>>   :weight 'ultra-bold :underline t)
>>
>> When I tried, it signals '(wrong-type-argument bufferp nil)'
>> in "command-error-default-function" and goes into infinite loop.
>> I have no idea what is wrong.
>
> Is this still an issue, or were these hangs solved?  If this is still
> an issue, do you need help in debugging it?

These hangs occur not only with tab-bar, but also with menu-bar
when tab-bar is not enabled.  These hangs can be reproduced by
configuring --with-x-toolkit=no and running emacs -Q.
Then evaluating this causes hangs:

  (set-face-attribute 'menu nil :weight 'ultra-bold :underline t)

Unfortunately I don't understand what is wrong with code
that implements non-native menu-bar/tool-bar/tab-bar.

> What else remains to be done with tabs before we can starte pretesting
> Emacs 27?

I almost finished implementing auto-scrolling for bug#37667,
but this needs more testing.  I'll post the patch next week.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38038; Package emacs. Full text available.

Message received at 38038 <at> debbugs.gnu.org:


Received: (at 38038) by debbugs.gnu.org; 7 Nov 2019 14:50:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 07 09:50:38 2019
Received: from localhost ([127.0.0.1]:41882 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iSj7N-0003Ke-SH
	for submit <at> debbugs.gnu.org; Thu, 07 Nov 2019 09:50:38 -0500
Received: from sonic315-20.consmr.mail.ne1.yahoo.com ([66.163.190.146]:35541)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1iSj7L-0003KH-He
 for 38038 <at> debbugs.gnu.org; Thu, 07 Nov 2019 09:50:36 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1573138230; bh=AFAhBRxmah3dE6YONwtyY3MdJBJ3EEDTy1BUfOh+O+M=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=RMglQE0ueoSj6IXNL8Qn5KhkKUb4Cn5zW4gfC0DKWgqCi52kIAQRb24VWYfMGSXSdNoX+xTO0J/Q/nBJAi7wWsUsICVqhCgcaJqP/GPHfzj7VrjfZMntoaLF0Hpy9uOe0qr5caZEg9ayMp6xfpNGF6pXFkUDJfNNSy+2K546Rl+LZ3VFvkuAYCzZIGJv1yLMRE+NpKzqvHQHe4ky1Vt35rl4x1QQWXo9qk+Ad+WXD+wUpx5BNC27c/FgA3lH7owjM40eNHyvZjlKVNZtxCyeiOoUsIiOb2SP8IghMfnLtt2xjzNj0iftrTZ1zaGGzbSwMpz+ra7SpaZe2TBK2cR5yA==
X-YMail-OSG: AG7NNaoVM1l3vDEBoHwPn_BWWlV4eADfH32Hks92xJVG2z8AC8S9Ew3gIvnX251
 f7uFyDcyyM2gtW1lQn62mcATbUI.icJwMYdmdKL50ySZPHmDcWJVl2UNPURmXeg6Jb2RrU6R0XLy
 fWT_iUcb_wQpOPftzx7tT1geWlScJOkZDGlx6CAzlTdfqSqJTRK5rw.OYDFb1WMKqpSQez0RXgoQ
 yVD6jO51tkVXb9yt8mn7.obeKcXTT9FSB_coQOdCU1FlarTWJ8Fc_7Ff8nPknnB2MeLYgt7P6XN7
 eE2kdlH6Eadx0g3hfgR8Ye0pl4tl1fE0b_DHPRKWJd7KOr_GXudWiAgC.TZW1ac_BlpyWNZ5KuWx
 bqTu6rjurB5SzB_LlBEsgABjKPvTJaBxBxVhwy5fdhmyA0g6msJ5NCaX7VSiyAu9NDOx9Dw9lY7F
 LlQI_355H.b6QT3BG9t9y8aYEbV2_hTo1Be18htbvylZsD2.QAaXGO_muxFr7qURPS5M3Y_hekLW
 auypNPYwT5yupVhmEhO3fYnRpAaMqm_JFH0bF_YcoR_uJiEG1feeVOthO4u6SuX3SuY8IzkYlt_I
 duEZ6rku1KmFs8NIM5V3HJXhsg6z96LElRLHmDgiCQ48TTqxdZ.3MeSPrhgTZuRo8uDqbPqtHeo0
 IgqHI7rRO8sPbBHvJ5CCa8zQhQ6ZBCGBJX8.VKutpGbRbiS_lU.4co6qlj2Nf6PXWL.a4nnAlHaD
 73WTecXr8zEVgFWHuZIe_ihLM7fGfkKhTMvwK0Dcuz82Gdb1nmOjRmx63S4HGxqh8HsXwdkaemMC
 jZW5fzY_UglWkxapAqV55hzUZtyeQd2qK8ynQHIfILSRhxvIM8SKiNSCn04DdZc.qVBmhdfFHb5C
 oVaQlBh0iqT2zwsP0GwE8ddibxc9MtuEHjTHxoYdqvFZkM9HcGKjpZI1hkVjPz81mOTqzzdoXHU7
 1Xe.0vxoUrn8sFAnWe.7V_QP97ScGpKiEnP5GKkN.z_ihYMf.MwyUvBqZsi44v8aFEwYfN_EDHwC
 583DHNcICQLyMKRja9HGMcK31bQRDuDZ_FlisL8edoNwRh57id0My4ck6ZoO52rWTzzj0X0JJjw8
 mT3nZoxdpcHSKgo0iwwR7wA4Qcp08hvyGNqPEJZm66UPFPQMu6jcIYBon3uJGLz7jn5Pw7UCOXUW
 zlE3350CQydWP1kmaJ6CS_O2O.fYYJyo0JWwt3rKCSNhPMxQEkWyWi.IVoqt_JOeZRmisIr_cjeq
 uK2b0Lg1h2EjRk3nbSoeaKGSm0.htSVeI28MuCwu78Asi0YCvYkLckjnTnmlHmKLraYbdBUK0WL2
 FqEpok37JL.lpYNMaG2lZLbnHr4UZfjUUVTgly5F01eJFuWvxHtPaly4gUBgG
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic315.consmr.mail.ne1.yahoo.com with HTTP; Thu, 7 Nov 2019 14:50:30 +0000
Received: by smtp403.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID 970be6b652757d27663b3be8006ab2bc; 
 Thu, 07 Nov 2019 14:50:28 +0000 (UTC)
Date: Thu, 7 Nov 2019 15:50:12 +0100
From: Ergus <spacibba@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.
Message-ID: <20191107145012.vohqpphyuelbusvh@Ergus>
References: <20191102214135.lehpefr5o4cji6ca.ref@Ergus>
 <20191102214135.lehpefr5o4cji6ca@Ergus>
 <87pni9yl75.fsf@HIDDEN> <83h83fg50h.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline
In-Reply-To: <83h83fg50h.fsf@HIDDEN>
X-Mailer: WebService/1.1.14680 hermes Apache-HttpAsyncClient/4.1.4
 (Java/1.8.0_181)
Content-Length: 933
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38038
Cc: 38038 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

AFAIK this issue is still there.

On Thu, Nov 07, 2019 at 04:01:02PM +0200, Eli Zaretskii wrote:
>> From: Juri Linkov <juri@HIDDEN>
>> Date: Sun, 03 Nov 2019 00:20:30 +0200
>> Cc: spacibba@HIDDEN
>>
>> > Hi when using emacs in gui I can't open a new tab if I add these lines
>> > to my config:
>> >
>> > (set-face-attribute 'tab-bar-tab nil
>> >        :weight 'ultra-bold :underline t)
>>
>> Does Emacs freeze when you set the 'default' face to ultra-bold underline?
>>
>> (set-face-attribute 'default nil
>>   :weight 'ultra-bold :underline t)
>>
>> When I tried, it signals '(wrong-type-argument bufferp nil)'
>> in "command-error-default-function" and goes into infinite loop.
>> I have no idea what is wrong.
>
>Is this still an issue, or were these hangs solved?  If this is still
>an issue, do you need help in debugging it?
>
>What else remains to be done with tabs before we can starte pretesting
>Emacs 27?
>
>Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38038; Package emacs. Full text available.

Message received at 38038 <at> debbugs.gnu.org:


Received: (at 38038) by debbugs.gnu.org; 7 Nov 2019 14:50:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 07 09:50:37 2019
Received: from localhost ([127.0.0.1]:41880 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iSj7N-0003Kb-J8
	for submit <at> debbugs.gnu.org; Thu, 07 Nov 2019 09:50:37 -0500
Received: from sonic315-20.consmr.mail.ne1.yahoo.com ([66.163.190.146]:37130)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1iSj7L-0003KG-H9
 for 38038 <at> debbugs.gnu.org; Thu, 07 Nov 2019 09:50:36 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1573138230; bh=AFAhBRxmah3dE6YONwtyY3MdJBJ3EEDTy1BUfOh+O+M=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=RMglQE0ueoSj6IXNL8Qn5KhkKUb4Cn5zW4gfC0DKWgqCi52kIAQRb24VWYfMGSXSdNoX+xTO0J/Q/nBJAi7wWsUsICVqhCgcaJqP/GPHfzj7VrjfZMntoaLF0Hpy9uOe0qr5caZEg9ayMp6xfpNGF6pXFkUDJfNNSy+2K546Rl+LZ3VFvkuAYCzZIGJv1yLMRE+NpKzqvHQHe4ky1Vt35rl4x1QQWXo9qk+Ad+WXD+wUpx5BNC27c/FgA3lH7owjM40eNHyvZjlKVNZtxCyeiOoUsIiOb2SP8IghMfnLtt2xjzNj0iftrTZ1zaGGzbSwMpz+ra7SpaZe2TBK2cR5yA==
X-YMail-OSG: AG7NNaoVM1l3vDEBoHwPn_BWWlV4eADfH32Hks92xJVG2z8AC8S9Ew3gIvnX251
 f7uFyDcyyM2gtW1lQn62mcATbUI.icJwMYdmdKL50ySZPHmDcWJVl2UNPURmXeg6Jb2RrU6R0XLy
 fWT_iUcb_wQpOPftzx7tT1geWlScJOkZDGlx6CAzlTdfqSqJTRK5rw.OYDFb1WMKqpSQez0RXgoQ
 yVD6jO51tkVXb9yt8mn7.obeKcXTT9FSB_coQOdCU1FlarTWJ8Fc_7Ff8nPknnB2MeLYgt7P6XN7
 eE2kdlH6Eadx0g3hfgR8Ye0pl4tl1fE0b_DHPRKWJd7KOr_GXudWiAgC.TZW1ac_BlpyWNZ5KuWx
 bqTu6rjurB5SzB_LlBEsgABjKPvTJaBxBxVhwy5fdhmyA0g6msJ5NCaX7VSiyAu9NDOx9Dw9lY7F
 LlQI_355H.b6QT3BG9t9y8aYEbV2_hTo1Be18htbvylZsD2.QAaXGO_muxFr7qURPS5M3Y_hekLW
 auypNPYwT5yupVhmEhO3fYnRpAaMqm_JFH0bF_YcoR_uJiEG1feeVOthO4u6SuX3SuY8IzkYlt_I
 duEZ6rku1KmFs8NIM5V3HJXhsg6z96LElRLHmDgiCQ48TTqxdZ.3MeSPrhgTZuRo8uDqbPqtHeo0
 IgqHI7rRO8sPbBHvJ5CCa8zQhQ6ZBCGBJX8.VKutpGbRbiS_lU.4co6qlj2Nf6PXWL.a4nnAlHaD
 73WTecXr8zEVgFWHuZIe_ihLM7fGfkKhTMvwK0Dcuz82Gdb1nmOjRmx63S4HGxqh8HsXwdkaemMC
 jZW5fzY_UglWkxapAqV55hzUZtyeQd2qK8ynQHIfILSRhxvIM8SKiNSCn04DdZc.qVBmhdfFHb5C
 oVaQlBh0iqT2zwsP0GwE8ddibxc9MtuEHjTHxoYdqvFZkM9HcGKjpZI1hkVjPz81mOTqzzdoXHU7
 1Xe.0vxoUrn8sFAnWe.7V_QP97ScGpKiEnP5GKkN.z_ihYMf.MwyUvBqZsi44v8aFEwYfN_EDHwC
 583DHNcICQLyMKRja9HGMcK31bQRDuDZ_FlisL8edoNwRh57id0My4ck6ZoO52rWTzzj0X0JJjw8
 mT3nZoxdpcHSKgo0iwwR7wA4Qcp08hvyGNqPEJZm66UPFPQMu6jcIYBon3uJGLz7jn5Pw7UCOXUW
 zlE3350CQydWP1kmaJ6CS_O2O.fYYJyo0JWwt3rKCSNhPMxQEkWyWi.IVoqt_JOeZRmisIr_cjeq
 uK2b0Lg1h2EjRk3nbSoeaKGSm0.htSVeI28MuCwu78Asi0YCvYkLckjnTnmlHmKLraYbdBUK0WL2
 FqEpok37JL.lpYNMaG2lZLbnHr4UZfjUUVTgly5F01eJFuWvxHtPaly4gUBgG
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic315.consmr.mail.ne1.yahoo.com with HTTP; Thu, 7 Nov 2019 14:50:30 +0000
Received: by smtp403.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID 970be6b652757d27663b3be8006ab2bc; 
 Thu, 07 Nov 2019 14:50:28 +0000 (UTC)
Date: Thu, 7 Nov 2019 15:50:12 +0100
From: Ergus <spacibba@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.
Message-ID: <20191107145012.vohqpphyuelbusvh@Ergus>
References: <20191102214135.lehpefr5o4cji6ca.ref@Ergus>
 <20191102214135.lehpefr5o4cji6ca@Ergus>
 <87pni9yl75.fsf@HIDDEN> <83h83fg50h.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline
In-Reply-To: <83h83fg50h.fsf@HIDDEN>
X-Mailer: WebService/1.1.14680 hermes Apache-HttpAsyncClient/4.1.4
 (Java/1.8.0_181)
Content-Length: 933
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38038
Cc: 38038 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

AFAIK this issue is still there.

On Thu, Nov 07, 2019 at 04:01:02PM +0200, Eli Zaretskii wrote:
>> From: Juri Linkov <juri@HIDDEN>
>> Date: Sun, 03 Nov 2019 00:20:30 +0200
>> Cc: spacibba@HIDDEN
>>
>> > Hi when using emacs in gui I can't open a new tab if I add these lines
>> > to my config:
>> >
>> > (set-face-attribute 'tab-bar-tab nil
>> >        :weight 'ultra-bold :underline t)
>>
>> Does Emacs freeze when you set the 'default' face to ultra-bold underline?
>>
>> (set-face-attribute 'default nil
>>   :weight 'ultra-bold :underline t)
>>
>> When I tried, it signals '(wrong-type-argument bufferp nil)'
>> in "command-error-default-function" and goes into infinite loop.
>> I have no idea what is wrong.
>
>Is this still an issue, or were these hangs solved?  If this is still
>an issue, do you need help in debugging it?
>
>What else remains to be done with tabs before we can starte pretesting
>Emacs 27?
>
>Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38038; Package emacs. Full text available.

Message received at 38038 <at> debbugs.gnu.org:


Received: (at 38038) by debbugs.gnu.org; 7 Nov 2019 14:01:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 07 09:01:23 2019
Received: from localhost ([127.0.0.1]:41805 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iSiLi-000239-Mr
	for submit <at> debbugs.gnu.org; Thu, 07 Nov 2019 09:01:22 -0500
Received: from eggs.gnu.org ([209.51.188.92]:34297)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iSiLg-00022x-U8
 for 38038 <at> debbugs.gnu.org; Thu, 07 Nov 2019 09:01:21 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42640)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iSiLb-0004PR-8l; Thu, 07 Nov 2019 09:01:15 -0500
Received: from [176.228.60.248] (port=3964 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iSiLa-0006SQ-5M; Thu, 07 Nov 2019 09:01:15 -0500
Date: Thu, 07 Nov 2019 16:01:02 +0200
Message-Id: <83h83fg50h.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-reply-to: <87pni9yl75.fsf@HIDDEN> (message from Juri Linkov on
 Sun, 03 Nov 2019 00:20:30 +0200)
Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.
References: <20191102214135.lehpefr5o4cji6ca.ref@Ergus>
 <20191102214135.lehpefr5o4cji6ca@Ergus> <87pni9yl75.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38038
Cc: 38038 <at> debbugs.gnu.org, spacibba@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Date: Sun, 03 Nov 2019 00:20:30 +0200
> Cc: spacibba@HIDDEN
> 
> > Hi when using emacs in gui I can't open a new tab if I add these lines
> > to my config:
> >
> > (set-face-attribute 'tab-bar-tab nil
> >        :weight 'ultra-bold :underline t)
> 
> Does Emacs freeze when you set the 'default' face to ultra-bold underline?
> 
> (set-face-attribute 'default nil
>   :weight 'ultra-bold :underline t)
> 
> When I tried, it signals '(wrong-type-argument bufferp nil)'
> in "command-error-default-function" and goes into infinite loop.
> I have no idea what is wrong.

Is this still an issue, or were these hangs solved?  If this is still
an issue, do you need help in debugging it?

What else remains to be done with tabs before we can starte pretesting
Emacs 27?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38038; Package emacs. Full text available.

Message received at 38038 <at> debbugs.gnu.org:


Received: (at 38038) by debbugs.gnu.org; 3 Nov 2019 20:31:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 03 15:31:29 2019
Received: from localhost ([127.0.0.1]:35177 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iRMX3-0003jh-1R
	for submit <at> debbugs.gnu.org; Sun, 03 Nov 2019 15:31:29 -0500
Received: from buffalo.birch.relay.mailchannels.net ([23.83.209.24]:26073)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1iRMX1-0003jY-Kb
 for 38038 <at> debbugs.gnu.org; Sun, 03 Nov 2019 15:31:28 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 84AD75A0931;
 Sun,  3 Nov 2019 20:31:26 +0000 (UTC)
Received: from pdx1-sub0-mail-a83.g.dreamhost.com
 (100-96-6-183.trex.outbound.svc.cluster.local [100.96.6.183])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id B99325A0A81;
 Sun,  3 Nov 2019 20:31:25 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a83.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Sun, 03 Nov 2019 20:31:26 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Tangy-Abiding: 3c3c33eb141e9563_1572813085998_2065174255
X-MC-Loop-Signature: 1572813085998:2893094771
X-MC-Ingress-Time: 1572813085998
Received: from pdx1-sub0-mail-a83.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a83.g.dreamhost.com (Postfix) with ESMTP id 8861582D8D;
 Sun,  3 Nov 2019 12:31:20 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=mFYknjHibGpSUTULoFR9AHuSxlI=; b=
 sMpJoA3WV75FTgpwK2zZCLj9IEuzKFHLrfkgxtvQ+FOxAcrZaN8nfjaVf59lJX+n
 z5SXTJ3zRStH3XVFFtjDqoONQWlH190TVHWZnMdYCJwhJqmPOaKAimS/4Z7ObEGB
 /ikobZguiC242ueE60PVoDLOjSbKIw94u2VvPwUEcOM=
Received: from mail.jurta.org (m91-129-101-77.cust.tele2.ee [91.129.101.77])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a83.g.dreamhost.com (Postfix) with ESMTPSA id 53E0282D90;
 Sun,  3 Nov 2019 12:31:17 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a83
From: Juri Linkov <juri@HIDDEN>
To: Ergus <spacibba@HIDDEN>
Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.
Organization: LINKOV.NET
References: <20191102214135.lehpefr5o4cji6ca.ref@Ergus>
 <20191102214135.lehpefr5o4cji6ca@Ergus>
 <87pni9yl75.fsf@HIDDEN>
 <20191102225518.7yx7v5ekmwiek7co@Ergus>
Date: Sun, 03 Nov 2019 22:22:20 +0200
In-Reply-To: <20191102225518.7yx7v5ekmwiek7co@Ergus> (Ergus's message of "Sat, 
 2 Nov 2019 23:55:18 +0100")
Message-ID: <87lfswk8vx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38038
Cc: 38038 <at> debbugs.gnu.org, "Ergus via Bug reports for GNU Emacs,
 the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> Does Emacs freeze when you set the 'default' face to ultra-bold underline?
>>
>> (set-face-attribute 'default nil :weight 'ultra-bold :underline t)
>>
>> When I tried, it signals '(wrong-type-argument bufferp nil)'
>> in "command-error-default-function" and goes into infinite loop.
>> I have no idea what is wrong.
>
> I commented all my `set-face-attribute` lines and it works fine.
>
> Then I added only:
>
> (set-face-attribute 'default nil :weight 'ultra-bold :underline t)
>
> and it also freezes when opening a tab.

Ah, I see why you don't see the same freeze without using tab-bar.
This is because you use the Gtk menu-bar and Gtk tool-bar.
But when you configure to use non-toolkit menu-bar/tool-bar,
it freezes immediately after evaluating the above line in 'emacs -Q'.
I tried to debug, but it freezes while displaying the menu-bar
in code that I don't understand.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38038; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Nov 2019 20:31:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 03 15:31:36 2019
Received: from localhost ([127.0.0.1]:35181 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iRMX8-0003jy-D2
	for submit <at> debbugs.gnu.org; Sun, 03 Nov 2019 15:31:34 -0500
Received: from lists.gnu.org ([209.51.188.17]:33395)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1iRMX5-0003jq-MF
 for submit <at> debbugs.gnu.org; Sun, 03 Nov 2019 15:31:32 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:48948)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <juri@HIDDEN>) id 1iRMX4-00063b-Fr
 for bug-gnu-emacs@HIDDEN; Sun, 03 Nov 2019 15:31:31 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <juri@HIDDEN>) id 1iRMX3-0005Cp-5d
 for bug-gnu-emacs@HIDDEN; Sun, 03 Nov 2019 15:31:30 -0500
Received: from chocolate.birch.relay.mailchannels.net ([23.83.209.35]:51050)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <juri@HIDDEN>) id 1iRMX2-00057M-NH
 for bug-gnu-emacs@HIDDEN; Sun, 03 Nov 2019 15:31:29 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 84AD75A0931;
 Sun,  3 Nov 2019 20:31:26 +0000 (UTC)
Received: from pdx1-sub0-mail-a83.g.dreamhost.com
 (100-96-6-183.trex.outbound.svc.cluster.local [100.96.6.183])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id B99325A0A81;
 Sun,  3 Nov 2019 20:31:25 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a83.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Sun, 03 Nov 2019 20:31:26 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Tangy-Abiding: 3c3c33eb141e9563_1572813085998_2065174255
X-MC-Loop-Signature: 1572813085998:2893094771
X-MC-Ingress-Time: 1572813085998
Received: from pdx1-sub0-mail-a83.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a83.g.dreamhost.com (Postfix) with ESMTP id 8861582D8D;
 Sun,  3 Nov 2019 12:31:20 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=mFYknjHibGpSUTULoFR9AHuSxlI=; b=
 sMpJoA3WV75FTgpwK2zZCLj9IEuzKFHLrfkgxtvQ+FOxAcrZaN8nfjaVf59lJX+n
 z5SXTJ3zRStH3XVFFtjDqoONQWlH190TVHWZnMdYCJwhJqmPOaKAimS/4Z7ObEGB
 /ikobZguiC242ueE60PVoDLOjSbKIw94u2VvPwUEcOM=
Received: from mail.jurta.org (m91-129-101-77.cust.tele2.ee [91.129.101.77])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a83.g.dreamhost.com (Postfix) with ESMTPSA id 53E0282D90;
 Sun,  3 Nov 2019 12:31:17 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a83
From: Juri Linkov <juri@HIDDEN>
To: Ergus <spacibba@HIDDEN>
Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.
Organization: LINKOV.NET
References: <20191102214135.lehpefr5o4cji6ca.ref@Ergus>
 <20191102214135.lehpefr5o4cji6ca@Ergus>
 <87pni9yl75.fsf@HIDDEN>
 <20191102225518.7yx7v5ekmwiek7co@Ergus>
Date: Sun, 03 Nov 2019 22:22:20 +0200
In-Reply-To: <20191102225518.7yx7v5ekmwiek7co@Ergus> (Ergus's message of "Sat, 
 2 Nov 2019 23:55:18 +0100")
Message-ID: <87lfswk8vx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 23.83.209.35
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 38038 <at> debbugs.gnu.org, "Ergus via Bug reports for GNU Emacs,
 the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

>> Does Emacs freeze when you set the 'default' face to ultra-bold underline?
>>
>> (set-face-attribute 'default nil :weight 'ultra-bold :underline t)
>>
>> When I tried, it signals '(wrong-type-argument bufferp nil)'
>> in "command-error-default-function" and goes into infinite loop.
>> I have no idea what is wrong.
>
> I commented all my `set-face-attribute` lines and it works fine.
>
> Then I added only:
>
> (set-face-attribute 'default nil :weight 'ultra-bold :underline t)
>
> and it also freezes when opening a tab.

Ah, I see why you don't see the same freeze without using tab-bar.
This is because you use the Gtk menu-bar and Gtk tool-bar.
But when you configure to use non-toolkit menu-bar/tool-bar,
it freezes immediately after evaluating the above line in 'emacs -Q'.
I tried to debug, but it freezes while displaying the menu-bar
in code that I don't understand.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38038; Package emacs. Full text available.

Message received at 38038 <at> debbugs.gnu.org:


Received: (at 38038) by debbugs.gnu.org; 2 Nov 2019 22:55:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 02 18:55:46 2019
Received: from localhost ([127.0.0.1]:33217 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iR2J8-0002Vy-7Q
	for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 18:55:46 -0400
Received: from sonic309-14.consmr.mail.bf2.yahoo.com ([74.6.129.124]:37029)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1iR2J6-0002Ve-DA
 for 38038 <at> debbugs.gnu.org; Sat, 02 Nov 2019 18:55:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1572735338; bh=O+6QAf3jcrXOtUwO/U34gvUCufnPtG1WGBqrOoe2ac8=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=WAgk6Q1Jltp/VupQvdSZjzISxRvKl5E4HnqCYQa5AgtAcgX3TgQBc7U27PEfLdfOJKUCmqtChGnIvwgaQtG7B9CNbSXETbPcXvQWsnQk5mDeNB3WflG4H16Qvy+C871gTuAUjpqN5BGfMpu+760H9b6vqMCUBYiwSr3lwxxNVzpZunGKuYcr5v8WX6GPog8QFhlwZ17lIh/Tq+UNslRJ0pcH6yfjKDFGtsWx4IsYPLVXSeRpS5Uv9A4m4OxiPhKGnoaIU973eQniWSIJp0ofo7eDVguuiq6+zwmL8ZWqvea5eIFPr+4jLTfmHgbr2mS1vRch4/i/82uT5uMd5Yhz3g==
X-YMail-OSG: jrgMi0MVM1kL_kaJ80g2f6xkWP2j66QJi44.4Ahlt3HgXMgjWQIwDd8M5SqKU.o
 YFVbNGHYwZDkRvKjf4ME24MaHPxZbcyLiAy9kBeOp.ebL7wUKS_cYbjCfQ53JPk.3Jn3jUfbAl78
 ApN8Llc8I.Lh_DnckjUauHFE00q0ErosAa10CVSzLp_v981vw0D_HnMvcNB3KU1Kycr13qC89XOf
 Zq22bykWhe28yKWjRy_kl9SdxxWcWrLHlfV0symNosuIEJD8CmgL8mAY4hPT0xOnzUrAoOIp7bIx
 Y9G0qCtK4bz5ZksCuHRr0r9NHzX2CFIEAg7vAh0QurfCcqpggdQaD2mabyEdOAUgdiIWrW2ok1cQ
 hbEsXR84FJp7GRHfWetv06I6IHE7GCvmhNI9xsICG0_5RQ9sC7nI6upZn4EfoKqp0bYRqMG5JtOO
 aDLZZYN1RGdMT1s1aVbNQ_7DQLPp9L48tfF9BGEOI2MOKFm0MDmXb8dDNr6AdOZd3nB.Zng81K.C
 MBJlolWY0yc6fW18hxjerGydpD2iV6Q70DggI_IOn5VSTLSO8nbXAPRJrz2A7gawYfIf9zpxVM.f
 ZyGtAgPqDxiu1ZazQ5OYBilwhzSfcCTITQ3bdPlmaTi3B9qpdMfcuRPshd_tPGPP07cwtkkpRxj3
 eGOXBXmd_RwiUVB7yeFXbN4gzUyKwn4MUTuBM4OeE5HLJu1nBw.uUBG4huE4kyQ0FUH5BZ6AwkS9
 a0DyBzWbj5Xy.duEocr5hrxGDd7g85rEsBREJKzB1vVv.gwpXWAZvOdvLwAihhjo3sZ6sTcv3pxS
 MjU6F1SrbGyHUKgT64htrlI0GdNepv3mkbujvPhUYZJKbXErKE0LME2V11O2Xd_N3DIDELdLipFM
 vDyeKVOJqUbTWUTNIB2MqToYU5rIzqE0vNEwFowhEBgXC21ZeD2Rr3CAycrhq.Fk37_BqArZuI.a
 .yw_jKoXiNUHO.DLnM3pEOEeshJfJZBA3mbCk2JHO3ZzelwezA36R4reHhJbshSXM9zafF3ZrPc1
 pB2nxjGMjMUqSanq9CCYUWJC0AUuFY3r0rIiabyrJAN8vHYsetCKTITcWEAIslgMlhlNRrEegCdN
 2QlQ..VmC0masvWdchocmIte50lAtOuzrRFPH_Hszh4Pq1HkfD_02J.IN7gmB1oLfDAkWx20rqBB
 YnO3GDpbfEXq07c1zKSsMWlxt86xYhe69AQJGEQJ34UPHN_E2Rn2RHrBaP1oTMy3pNX9kSfpAKR2
 JgxdO_CDLJaE55P7Mw7N7uI__Fwp.69dm.VDvTqcGvUCGNbcTR1c2.eGUC9mgdDO0h0tY2wQ7G0H
 PYTub1efpCTkNVD6jywW6DADzWxkbdrD_0cs80arkiXA9lmHj.E1mgdo-
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic309.consmr.mail.bf2.yahoo.com with HTTP; Sat, 2 Nov 2019 22:55:38 +0000
Received: by smtp405.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID 2db1126fd23873b7d041d38b74983c18; 
 Sat, 02 Nov 2019 22:55:33 +0000 (UTC)
Date: Sat, 2 Nov 2019 23:55:18 +0100
From: Ergus <spacibba@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.
Message-ID: <20191102225518.7yx7v5ekmwiek7co@Ergus>
References: <20191102214135.lehpefr5o4cji6ca.ref@Ergus>
 <20191102214135.lehpefr5o4cji6ca@Ergus>
 <87pni9yl75.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline
In-Reply-To: <87pni9yl75.fsf@HIDDEN>
X-Mailer: WebService/1.1.14638 hermes Apache-HttpAsyncClient/4.1.4
 (Java/1.8.0_181)
Content-Length: 751
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38038
Cc: 38038 <at> debbugs.gnu.org, "Ergus via Bug reports for GNU Emacs,
 the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sun, Nov 03, 2019 at 12:20:30AM +0200, Juri Linkov wrote:
>> Hi when using emacs in gui I can't open a new tab if I add these lines
>> to my config:
>>
>> (set-face-attribute 'tab-bar-tab nil
>>        :weight 'ultra-bold :underline t)
>
>Does Emacs freeze when you set the 'default' face to ultra-bold underline?
>
>(set-face-attribute 'default nil
>  :weight 'ultra-bold :underline t)
>
>When I tried, it signals '(wrong-type-argument bufferp nil)'
>in "command-error-default-function" and goes into infinite loop.
>I have no idea what is wrong.

Hi

I commented all my `set-face-attribute` lines and it works fine.

Then I added only:

(set-face-attribute 'default nil :weight 'ultra-bold :underline t)

and it also freezes when opening a tab. 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38038; Package emacs. Full text available.

Message received at 38038 <at> debbugs.gnu.org:


Received: (at 38038) by debbugs.gnu.org; 2 Nov 2019 22:55:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 02 18:55:46 2019
Received: from localhost ([127.0.0.1]:33215 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iR2J7-0002Vv-Uy
	for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 18:55:46 -0400
Received: from sonic309-14.consmr.mail.bf2.yahoo.com ([74.6.129.124]:42700)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1iR2J6-0002Vd-CX
 for 38038 <at> debbugs.gnu.org; Sat, 02 Nov 2019 18:55:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1572735338; bh=O+6QAf3jcrXOtUwO/U34gvUCufnPtG1WGBqrOoe2ac8=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=WAgk6Q1Jltp/VupQvdSZjzISxRvKl5E4HnqCYQa5AgtAcgX3TgQBc7U27PEfLdfOJKUCmqtChGnIvwgaQtG7B9CNbSXETbPcXvQWsnQk5mDeNB3WflG4H16Qvy+C871gTuAUjpqN5BGfMpu+760H9b6vqMCUBYiwSr3lwxxNVzpZunGKuYcr5v8WX6GPog8QFhlwZ17lIh/Tq+UNslRJ0pcH6yfjKDFGtsWx4IsYPLVXSeRpS5Uv9A4m4OxiPhKGnoaIU973eQniWSIJp0ofo7eDVguuiq6+zwmL8ZWqvea5eIFPr+4jLTfmHgbr2mS1vRch4/i/82uT5uMd5Yhz3g==
X-YMail-OSG: jrgMi0MVM1kL_kaJ80g2f6xkWP2j66QJi44.4Ahlt3HgXMgjWQIwDd8M5SqKU.o
 YFVbNGHYwZDkRvKjf4ME24MaHPxZbcyLiAy9kBeOp.ebL7wUKS_cYbjCfQ53JPk.3Jn3jUfbAl78
 ApN8Llc8I.Lh_DnckjUauHFE00q0ErosAa10CVSzLp_v981vw0D_HnMvcNB3KU1Kycr13qC89XOf
 Zq22bykWhe28yKWjRy_kl9SdxxWcWrLHlfV0symNosuIEJD8CmgL8mAY4hPT0xOnzUrAoOIp7bIx
 Y9G0qCtK4bz5ZksCuHRr0r9NHzX2CFIEAg7vAh0QurfCcqpggdQaD2mabyEdOAUgdiIWrW2ok1cQ
 hbEsXR84FJp7GRHfWetv06I6IHE7GCvmhNI9xsICG0_5RQ9sC7nI6upZn4EfoKqp0bYRqMG5JtOO
 aDLZZYN1RGdMT1s1aVbNQ_7DQLPp9L48tfF9BGEOI2MOKFm0MDmXb8dDNr6AdOZd3nB.Zng81K.C
 MBJlolWY0yc6fW18hxjerGydpD2iV6Q70DggI_IOn5VSTLSO8nbXAPRJrz2A7gawYfIf9zpxVM.f
 ZyGtAgPqDxiu1ZazQ5OYBilwhzSfcCTITQ3bdPlmaTi3B9qpdMfcuRPshd_tPGPP07cwtkkpRxj3
 eGOXBXmd_RwiUVB7yeFXbN4gzUyKwn4MUTuBM4OeE5HLJu1nBw.uUBG4huE4kyQ0FUH5BZ6AwkS9
 a0DyBzWbj5Xy.duEocr5hrxGDd7g85rEsBREJKzB1vVv.gwpXWAZvOdvLwAihhjo3sZ6sTcv3pxS
 MjU6F1SrbGyHUKgT64htrlI0GdNepv3mkbujvPhUYZJKbXErKE0LME2V11O2Xd_N3DIDELdLipFM
 vDyeKVOJqUbTWUTNIB2MqToYU5rIzqE0vNEwFowhEBgXC21ZeD2Rr3CAycrhq.Fk37_BqArZuI.a
 .yw_jKoXiNUHO.DLnM3pEOEeshJfJZBA3mbCk2JHO3ZzelwezA36R4reHhJbshSXM9zafF3ZrPc1
 pB2nxjGMjMUqSanq9CCYUWJC0AUuFY3r0rIiabyrJAN8vHYsetCKTITcWEAIslgMlhlNRrEegCdN
 2QlQ..VmC0masvWdchocmIte50lAtOuzrRFPH_Hszh4Pq1HkfD_02J.IN7gmB1oLfDAkWx20rqBB
 YnO3GDpbfEXq07c1zKSsMWlxt86xYhe69AQJGEQJ34UPHN_E2Rn2RHrBaP1oTMy3pNX9kSfpAKR2
 JgxdO_CDLJaE55P7Mw7N7uI__Fwp.69dm.VDvTqcGvUCGNbcTR1c2.eGUC9mgdDO0h0tY2wQ7G0H
 PYTub1efpCTkNVD6jywW6DADzWxkbdrD_0cs80arkiXA9lmHj.E1mgdo-
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic309.consmr.mail.bf2.yahoo.com with HTTP; Sat, 2 Nov 2019 22:55:38 +0000
Received: by smtp405.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID 2db1126fd23873b7d041d38b74983c18; 
 Sat, 02 Nov 2019 22:55:33 +0000 (UTC)
Date: Sat, 2 Nov 2019 23:55:18 +0100
From: Ergus <spacibba@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.
Message-ID: <20191102225518.7yx7v5ekmwiek7co@Ergus>
References: <20191102214135.lehpefr5o4cji6ca.ref@Ergus>
 <20191102214135.lehpefr5o4cji6ca@Ergus>
 <87pni9yl75.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline
In-Reply-To: <87pni9yl75.fsf@HIDDEN>
X-Mailer: WebService/1.1.14638 hermes Apache-HttpAsyncClient/4.1.4
 (Java/1.8.0_181)
Content-Length: 751
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38038
Cc: 38038 <at> debbugs.gnu.org, "Ergus via Bug reports for GNU Emacs,
 the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sun, Nov 03, 2019 at 12:20:30AM +0200, Juri Linkov wrote:
>> Hi when using emacs in gui I can't open a new tab if I add these lines
>> to my config:
>>
>> (set-face-attribute 'tab-bar-tab nil
>>        :weight 'ultra-bold :underline t)
>
>Does Emacs freeze when you set the 'default' face to ultra-bold underline?
>
>(set-face-attribute 'default nil
>  :weight 'ultra-bold :underline t)
>
>When I tried, it signals '(wrong-type-argument bufferp nil)'
>in "command-error-default-function" and goes into infinite loop.
>I have no idea what is wrong.

Hi

I commented all my `set-face-attribute` lines and it works fine.

Then I added only:

(set-face-attribute 'default nil :weight 'ultra-bold :underline t)

and it also freezes when opening a tab. 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38038; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Nov 2019 22:55:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 02 18:55:54 2019
Received: from localhost ([127.0.0.1]:33225 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iR2JG-0002WX-Ie
	for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 18:55:54 -0400
Received: from lists.gnu.org ([209.51.188.17]:40395)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1iR2J9-0002WB-Qy
 for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 18:55:49 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:59252)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <spacibba@HIDDEN>) id 1iR2J7-0002Ft-Jn
 for bug-gnu-emacs@HIDDEN; Sat, 02 Nov 2019 18:55:46 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_DNSWL_NONE autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <spacibba@HIDDEN>) id 1iR2J4-0008Ek-6J
 for bug-gnu-emacs@HIDDEN; Sat, 02 Nov 2019 18:55:43 -0400
Received: from sonic309-14.consmr.mail.bf2.yahoo.com ([74.6.129.124]:45505)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <spacibba@HIDDEN>) id 1iR2J3-0007zp-Uj
 for bug-gnu-emacs@HIDDEN; Sat, 02 Nov 2019 18:55:42 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1572735338; bh=O+6QAf3jcrXOtUwO/U34gvUCufnPtG1WGBqrOoe2ac8=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=WAgk6Q1Jltp/VupQvdSZjzISxRvKl5E4HnqCYQa5AgtAcgX3TgQBc7U27PEfLdfOJKUCmqtChGnIvwgaQtG7B9CNbSXETbPcXvQWsnQk5mDeNB3WflG4H16Qvy+C871gTuAUjpqN5BGfMpu+760H9b6vqMCUBYiwSr3lwxxNVzpZunGKuYcr5v8WX6GPog8QFhlwZ17lIh/Tq+UNslRJ0pcH6yfjKDFGtsWx4IsYPLVXSeRpS5Uv9A4m4OxiPhKGnoaIU973eQniWSIJp0ofo7eDVguuiq6+zwmL8ZWqvea5eIFPr+4jLTfmHgbr2mS1vRch4/i/82uT5uMd5Yhz3g==
X-YMail-OSG: jrgMi0MVM1kL_kaJ80g2f6xkWP2j66QJi44.4Ahlt3HgXMgjWQIwDd8M5SqKU.o
 YFVbNGHYwZDkRvKjf4ME24MaHPxZbcyLiAy9kBeOp.ebL7wUKS_cYbjCfQ53JPk.3Jn3jUfbAl78
 ApN8Llc8I.Lh_DnckjUauHFE00q0ErosAa10CVSzLp_v981vw0D_HnMvcNB3KU1Kycr13qC89XOf
 Zq22bykWhe28yKWjRy_kl9SdxxWcWrLHlfV0symNosuIEJD8CmgL8mAY4hPT0xOnzUrAoOIp7bIx
 Y9G0qCtK4bz5ZksCuHRr0r9NHzX2CFIEAg7vAh0QurfCcqpggdQaD2mabyEdOAUgdiIWrW2ok1cQ
 hbEsXR84FJp7GRHfWetv06I6IHE7GCvmhNI9xsICG0_5RQ9sC7nI6upZn4EfoKqp0bYRqMG5JtOO
 aDLZZYN1RGdMT1s1aVbNQ_7DQLPp9L48tfF9BGEOI2MOKFm0MDmXb8dDNr6AdOZd3nB.Zng81K.C
 MBJlolWY0yc6fW18hxjerGydpD2iV6Q70DggI_IOn5VSTLSO8nbXAPRJrz2A7gawYfIf9zpxVM.f
 ZyGtAgPqDxiu1ZazQ5OYBilwhzSfcCTITQ3bdPlmaTi3B9qpdMfcuRPshd_tPGPP07cwtkkpRxj3
 eGOXBXmd_RwiUVB7yeFXbN4gzUyKwn4MUTuBM4OeE5HLJu1nBw.uUBG4huE4kyQ0FUH5BZ6AwkS9
 a0DyBzWbj5Xy.duEocr5hrxGDd7g85rEsBREJKzB1vVv.gwpXWAZvOdvLwAihhjo3sZ6sTcv3pxS
 MjU6F1SrbGyHUKgT64htrlI0GdNepv3mkbujvPhUYZJKbXErKE0LME2V11O2Xd_N3DIDELdLipFM
 vDyeKVOJqUbTWUTNIB2MqToYU5rIzqE0vNEwFowhEBgXC21ZeD2Rr3CAycrhq.Fk37_BqArZuI.a
 .yw_jKoXiNUHO.DLnM3pEOEeshJfJZBA3mbCk2JHO3ZzelwezA36R4reHhJbshSXM9zafF3ZrPc1
 pB2nxjGMjMUqSanq9CCYUWJC0AUuFY3r0rIiabyrJAN8vHYsetCKTITcWEAIslgMlhlNRrEegCdN
 2QlQ..VmC0masvWdchocmIte50lAtOuzrRFPH_Hszh4Pq1HkfD_02J.IN7gmB1oLfDAkWx20rqBB
 YnO3GDpbfEXq07c1zKSsMWlxt86xYhe69AQJGEQJ34UPHN_E2Rn2RHrBaP1oTMy3pNX9kSfpAKR2
 JgxdO_CDLJaE55P7Mw7N7uI__Fwp.69dm.VDvTqcGvUCGNbcTR1c2.eGUC9mgdDO0h0tY2wQ7G0H
 PYTub1efpCTkNVD6jywW6DADzWxkbdrD_0cs80arkiXA9lmHj.E1mgdo-
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic309.consmr.mail.bf2.yahoo.com with HTTP; Sat, 2 Nov 2019 22:55:38 +0000
Received: by smtp405.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID 2db1126fd23873b7d041d38b74983c18; 
 Sat, 02 Nov 2019 22:55:33 +0000 (UTC)
Date: Sat, 2 Nov 2019 23:55:18 +0100
From: Ergus <spacibba@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.
Message-ID: <20191102225518.7yx7v5ekmwiek7co@Ergus>
References: <20191102214135.lehpefr5o4cji6ca.ref@Ergus>
 <20191102214135.lehpefr5o4cji6ca@Ergus>
 <87pni9yl75.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline
In-Reply-To: <87pni9yl75.fsf@HIDDEN>
X-Mailer: WebService/1.1.14638 hermes Apache-HttpAsyncClient/4.1.4
 (Java/1.8.0_181)
Content-Length: 751
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [fuzzy]
X-Received-From: 74.6.129.124
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: 38038 <at> debbugs.gnu.org, "Ergus via Bug reports for GNU Emacs,
 the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On Sun, Nov 03, 2019 at 12:20:30AM +0200, Juri Linkov wrote:
>> Hi when using emacs in gui I can't open a new tab if I add these lines
>> to my config:
>>
>> (set-face-attribute 'tab-bar-tab nil
>>        :weight 'ultra-bold :underline t)
>
>Does Emacs freeze when you set the 'default' face to ultra-bold underline?
>
>(set-face-attribute 'default nil
>  :weight 'ultra-bold :underline t)
>
>When I tried, it signals '(wrong-type-argument bufferp nil)'
>in "command-error-default-function" and goes into infinite loop.
>I have no idea what is wrong.

Hi

I commented all my `set-face-attribute` lines and it works fine.

Then I added only:

(set-face-attribute 'default nil :weight 'ultra-bold :underline t)

and it also freezes when opening a tab. 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38038; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Nov 2019 22:55:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 02 18:55:53 2019
Received: from localhost ([127.0.0.1]:33223 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iR2JE-0002WU-KQ
	for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 18:55:53 -0400
Received: from lists.gnu.org ([209.51.188.17]:55179)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1iR2JA-0002WD-PE
 for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 18:55:49 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:59241)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <spacibba@HIDDEN>) id 1iR2J8-0002Fr-Jo
 for bug-gnu-emacs@HIDDEN; Sat, 02 Nov 2019 18:55:47 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_DNSWL_NONE autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <spacibba@HIDDEN>) id 1iR2J4-0008Er-6a
 for bug-gnu-emacs@HIDDEN; Sat, 02 Nov 2019 18:55:43 -0400
Received: from sonic309-14.consmr.mail.bf2.yahoo.com ([74.6.129.124]:41425)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <spacibba@HIDDEN>) id 1iR2J4-0007zs-1t
 for bug-gnu-emacs@HIDDEN; Sat, 02 Nov 2019 18:55:42 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1572735338; bh=O+6QAf3jcrXOtUwO/U34gvUCufnPtG1WGBqrOoe2ac8=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=WAgk6Q1Jltp/VupQvdSZjzISxRvKl5E4HnqCYQa5AgtAcgX3TgQBc7U27PEfLdfOJKUCmqtChGnIvwgaQtG7B9CNbSXETbPcXvQWsnQk5mDeNB3WflG4H16Qvy+C871gTuAUjpqN5BGfMpu+760H9b6vqMCUBYiwSr3lwxxNVzpZunGKuYcr5v8WX6GPog8QFhlwZ17lIh/Tq+UNslRJ0pcH6yfjKDFGtsWx4IsYPLVXSeRpS5Uv9A4m4OxiPhKGnoaIU973eQniWSIJp0ofo7eDVguuiq6+zwmL8ZWqvea5eIFPr+4jLTfmHgbr2mS1vRch4/i/82uT5uMd5Yhz3g==
X-YMail-OSG: jrgMi0MVM1kL_kaJ80g2f6xkWP2j66QJi44.4Ahlt3HgXMgjWQIwDd8M5SqKU.o
 YFVbNGHYwZDkRvKjf4ME24MaHPxZbcyLiAy9kBeOp.ebL7wUKS_cYbjCfQ53JPk.3Jn3jUfbAl78
 ApN8Llc8I.Lh_DnckjUauHFE00q0ErosAa10CVSzLp_v981vw0D_HnMvcNB3KU1Kycr13qC89XOf
 Zq22bykWhe28yKWjRy_kl9SdxxWcWrLHlfV0symNosuIEJD8CmgL8mAY4hPT0xOnzUrAoOIp7bIx
 Y9G0qCtK4bz5ZksCuHRr0r9NHzX2CFIEAg7vAh0QurfCcqpggdQaD2mabyEdOAUgdiIWrW2ok1cQ
 hbEsXR84FJp7GRHfWetv06I6IHE7GCvmhNI9xsICG0_5RQ9sC7nI6upZn4EfoKqp0bYRqMG5JtOO
 aDLZZYN1RGdMT1s1aVbNQ_7DQLPp9L48tfF9BGEOI2MOKFm0MDmXb8dDNr6AdOZd3nB.Zng81K.C
 MBJlolWY0yc6fW18hxjerGydpD2iV6Q70DggI_IOn5VSTLSO8nbXAPRJrz2A7gawYfIf9zpxVM.f
 ZyGtAgPqDxiu1ZazQ5OYBilwhzSfcCTITQ3bdPlmaTi3B9qpdMfcuRPshd_tPGPP07cwtkkpRxj3
 eGOXBXmd_RwiUVB7yeFXbN4gzUyKwn4MUTuBM4OeE5HLJu1nBw.uUBG4huE4kyQ0FUH5BZ6AwkS9
 a0DyBzWbj5Xy.duEocr5hrxGDd7g85rEsBREJKzB1vVv.gwpXWAZvOdvLwAihhjo3sZ6sTcv3pxS
 MjU6F1SrbGyHUKgT64htrlI0GdNepv3mkbujvPhUYZJKbXErKE0LME2V11O2Xd_N3DIDELdLipFM
 vDyeKVOJqUbTWUTNIB2MqToYU5rIzqE0vNEwFowhEBgXC21ZeD2Rr3CAycrhq.Fk37_BqArZuI.a
 .yw_jKoXiNUHO.DLnM3pEOEeshJfJZBA3mbCk2JHO3ZzelwezA36R4reHhJbshSXM9zafF3ZrPc1
 pB2nxjGMjMUqSanq9CCYUWJC0AUuFY3r0rIiabyrJAN8vHYsetCKTITcWEAIslgMlhlNRrEegCdN
 2QlQ..VmC0masvWdchocmIte50lAtOuzrRFPH_Hszh4Pq1HkfD_02J.IN7gmB1oLfDAkWx20rqBB
 YnO3GDpbfEXq07c1zKSsMWlxt86xYhe69AQJGEQJ34UPHN_E2Rn2RHrBaP1oTMy3pNX9kSfpAKR2
 JgxdO_CDLJaE55P7Mw7N7uI__Fwp.69dm.VDvTqcGvUCGNbcTR1c2.eGUC9mgdDO0h0tY2wQ7G0H
 PYTub1efpCTkNVD6jywW6DADzWxkbdrD_0cs80arkiXA9lmHj.E1mgdo-
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic309.consmr.mail.bf2.yahoo.com with HTTP; Sat, 2 Nov 2019 22:55:38 +0000
Received: by smtp405.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID 2db1126fd23873b7d041d38b74983c18; 
 Sat, 02 Nov 2019 22:55:33 +0000 (UTC)
Date: Sat, 2 Nov 2019 23:55:18 +0100
From: Ergus <spacibba@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.
Message-ID: <20191102225518.7yx7v5ekmwiek7co@Ergus>
References: <20191102214135.lehpefr5o4cji6ca.ref@Ergus>
 <20191102214135.lehpefr5o4cji6ca@Ergus>
 <87pni9yl75.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline
In-Reply-To: <87pni9yl75.fsf@HIDDEN>
X-Mailer: WebService/1.1.14638 hermes Apache-HttpAsyncClient/4.1.4
 (Java/1.8.0_181)
Content-Length: 751
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [fuzzy]
X-Received-From: 74.6.129.124
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: 38038 <at> debbugs.gnu.org, "Ergus via Bug reports for GNU Emacs,
 the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On Sun, Nov 03, 2019 at 12:20:30AM +0200, Juri Linkov wrote:
>> Hi when using emacs in gui I can't open a new tab if I add these lines
>> to my config:
>>
>> (set-face-attribute 'tab-bar-tab nil
>>        :weight 'ultra-bold :underline t)
>
>Does Emacs freeze when you set the 'default' face to ultra-bold underline?
>
>(set-face-attribute 'default nil
>  :weight 'ultra-bold :underline t)
>
>When I tried, it signals '(wrong-type-argument bufferp nil)'
>in "command-error-default-function" and goes into infinite loop.
>I have no idea what is wrong.

Hi

I commented all my `set-face-attribute` lines and it works fine.

Then I added only:

(set-face-attribute 'default nil :weight 'ultra-bold :underline t)

and it also freezes when opening a tab. 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38038; Package emacs. Full text available.

Message received at 38038 <at> debbugs.gnu.org:


Received: (at 38038) by debbugs.gnu.org; 2 Nov 2019 22:21:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 02 18:21:34 2019
Received: from localhost ([127.0.0.1]:33199 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iR1m2-0001Xh-GO
	for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 18:21:34 -0400
Received: from bumble.birch.relay.mailchannels.net ([23.83.209.25]:26121)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1iR1lx-0001XV-3D
 for 38038 <at> debbugs.gnu.org; Sat, 02 Nov 2019 18:21:30 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id CA5DB5A0121;
 Sat,  2 Nov 2019 22:21:27 +0000 (UTC)
Received: from pdx1-sub0-mail-a17.g.dreamhost.com
 (100-96-169-194.trex.outbound.svc.cluster.local [100.96.169.194])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 4B8AD5A0D6C;
 Sat,  2 Nov 2019 22:21:27 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a17.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Sat, 02 Nov 2019 22:21:27 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Bored-Lyrical: 2ac5bacf58109311_1572733287550_3036306581
X-MC-Loop-Signature: 1572733287549:2071635409
X-MC-Ingress-Time: 1572733287549
Received: from pdx1-sub0-mail-a17.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a17.g.dreamhost.com (Postfix) with ESMTP id 01E72836C9;
 Sat,  2 Nov 2019 15:21:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=UfGW9bEJe5W/57qjyP1TaurF9oc=; b=
 YD1bThPzPyIx77C7KwjN97lw4HbhElOfX364u1Gsz6JnVduJyX3kxnez9+FvBO2z
 sWHsSnxfGFAnKqv0eUhcc36zSEaeru6bbAxML4pGWJANUdWWcAcc1VTgeuU4qdU9
 8bMFvT3D450/+65J0BwskCSZwHTeb1Pu3hD6l5bnqos=
Received: from mail.jurta.org (m91-129-101-77.cust.tele2.ee [91.129.101.77])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a17.g.dreamhost.com (Postfix) with ESMTPSA id 0DFCC836C6;
 Sat,  2 Nov 2019 15:21:19 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a17
From: Juri Linkov <juri@HIDDEN>
To: Ergus via "Bug reports for GNU Emacs\, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.
Organization: LINKOV.NET
References: <20191102214135.lehpefr5o4cji6ca.ref@Ergus>
 <20191102214135.lehpefr5o4cji6ca@Ergus>
Date: Sun, 03 Nov 2019 00:20:30 +0200
In-Reply-To: <20191102214135.lehpefr5o4cji6ca@Ergus> (Ergus via's message of
 "Sat, 2 Nov 2019 22:41:35 +0100")
Message-ID: <87pni9yl75.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38038
Cc: 38038 <at> debbugs.gnu.org, Ergus <spacibba@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Hi when using emacs in gui I can't open a new tab if I add these lines
> to my config:
>
> (set-face-attribute 'tab-bar-tab nil
>        :weight 'ultra-bold :underline t)

Does Emacs freeze when you set the 'default' face to ultra-bold underline?

(set-face-attribute 'default nil
  :weight 'ultra-bold :underline t)

When I tried, it signals '(wrong-type-argument bufferp nil)'
in "command-error-default-function" and goes into infinite loop.
I have no idea what is wrong.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38038; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Nov 2019 22:21:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 02 18:21:37 2019
Received: from localhost ([127.0.0.1]:33202 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iR1m4-0001Y2-Sh
	for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 18:21:37 -0400
Received: from lists.gnu.org ([209.51.188.17]:53741)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1iR1m2-0001Xn-VO
 for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 18:21:35 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:56009)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <juri@HIDDEN>) id 1iR1m1-00037V-S9
 for bug-gnu-emacs@HIDDEN; Sat, 02 Nov 2019 18:21:34 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <juri@HIDDEN>) id 1iR1m0-0000DG-4W
 for bug-gnu-emacs@HIDDEN; Sat, 02 Nov 2019 18:21:32 -0400
Received: from beige.elm.relay.mailchannels.net ([23.83.212.16]:53264)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <juri@HIDDEN>) id 1iR1ly-00083T-Qt
 for bug-gnu-emacs@HIDDEN; Sat, 02 Nov 2019 18:21:32 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id CA5DB5A0121;
 Sat,  2 Nov 2019 22:21:27 +0000 (UTC)
Received: from pdx1-sub0-mail-a17.g.dreamhost.com
 (100-96-169-194.trex.outbound.svc.cluster.local [100.96.169.194])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 4B8AD5A0D6C;
 Sat,  2 Nov 2019 22:21:27 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a17.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Sat, 02 Nov 2019 22:21:27 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Bored-Lyrical: 2ac5bacf58109311_1572733287550_3036306581
X-MC-Loop-Signature: 1572733287549:2071635409
X-MC-Ingress-Time: 1572733287549
Received: from pdx1-sub0-mail-a17.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a17.g.dreamhost.com (Postfix) with ESMTP id 01E72836C9;
 Sat,  2 Nov 2019 15:21:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=UfGW9bEJe5W/57qjyP1TaurF9oc=; b=
 YD1bThPzPyIx77C7KwjN97lw4HbhElOfX364u1Gsz6JnVduJyX3kxnez9+FvBO2z
 sWHsSnxfGFAnKqv0eUhcc36zSEaeru6bbAxML4pGWJANUdWWcAcc1VTgeuU4qdU9
 8bMFvT3D450/+65J0BwskCSZwHTeb1Pu3hD6l5bnqos=
Received: from mail.jurta.org (m91-129-101-77.cust.tele2.ee [91.129.101.77])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a17.g.dreamhost.com (Postfix) with ESMTPSA id 0DFCC836C6;
 Sat,  2 Nov 2019 15:21:19 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a17
From: Juri Linkov <juri@HIDDEN>
To: Ergus via "Bug reports for GNU Emacs\, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.
Organization: LINKOV.NET
References: <20191102214135.lehpefr5o4cji6ca.ref@Ergus>
 <20191102214135.lehpefr5o4cji6ca@Ergus>
Date: Sun, 03 Nov 2019 00:20:30 +0200
In-Reply-To: <20191102214135.lehpefr5o4cji6ca@Ergus> (Ergus via's message of
 "Sat, 2 Nov 2019 22:41:35 +0100")
Message-ID: <87pni9yl75.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 23.83.212.16
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 38038 <at> debbugs.gnu.org, Ergus <spacibba@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

> Hi when using emacs in gui I can't open a new tab if I add these lines
> to my config:
>
> (set-face-attribute 'tab-bar-tab nil
>        :weight 'ultra-bold :underline t)

Does Emacs freeze when you set the 'default' face to ultra-bold underline?

(set-face-attribute 'default nil
  :weight 'ultra-bold :underline t)

When I tried, it signals '(wrong-type-argument bufferp nil)'
in "command-error-default-function" and goes into infinite loop.
I have no idea what is wrong.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38038; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Nov 2019 21:42:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 02 17:42:09 2019
Received: from localhost ([127.0.0.1]:33170 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iR19s-0000PQ-HH
	for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 17:42:08 -0400
Received: from lists.gnu.org ([209.51.188.17]:36818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1iR19m-0000PA-P8
 for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 17:42:06 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51309)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <spacibba@HIDDEN>) id 1iR19l-0000ys-BI
 for bug-gnu-emacs@HIDDEN; Sat, 02 Nov 2019 17:42:02 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_DNSWL_NONE,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <spacibba@HIDDEN>) id 1iR19h-0004sB-H5
 for bug-gnu-emacs@HIDDEN; Sat, 02 Nov 2019 17:41:59 -0400
Received: from sonic306-3.consmr.mail.bf2.yahoo.com ([74.6.132.42]:43978)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <spacibba@HIDDEN>) id 1iR19g-0004h8-Sl
 for bug-gnu-emacs@HIDDEN; Sat, 02 Nov 2019 17:41:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1572730914; bh=1AomLeI62lRggSSmMSuX/47QN47uNRz///XSixHcPsE=;
 h=Date:From:To:Subject:References:From:Subject;
 b=GhEwdJaFC4L8l+FdTNHqjgoO7MaU0dBfa3pkJz0S0jYJxCdl1AlLJxIpfABL6rnJpoCDqFVdTkjxKdWb5gv80EfcQAZWyB4EvcD9htnAtRwOzbFcTeP160CoYtMXCU5bSem7kde2UfqNb7SYP+BGPGBqzUzZwSts3+hUVvWvj0wIrj/FTrUCo6Cwi92ntMxAZpUPu4OT4hq1HTH19MFDV9yohzCPJtv2U09NrmQQ+Z8ydefDA517YS2K3Oj8uC3moUM6CsOwJaQMKnc5VRxOLAoxmlnGTTS9P7OYys9ms8wIcHzKwI8UEMgpE4wK832LIP+Lsu3wVncTTofpKhKCtg==
X-YMail-OSG: esodHLkVM1nfMPd.yvwQq8ew5Gv_AVrjecEZMYI9UkeT97E6RuH3Kh0Hla163vp
 ZhtVD4aD08qiadBVUilSkkBNDXmQ24BuQWHvlvHDGqJf0offkYDqt6KRNsARnMC8949GPpeV7cUs
 aBr1KRTZZRXVYXP1d5qdQYCoAPRLPYwMsBtTdUq6_HACzJrRMiD7N0o6ABJtnwocIPb.sywsN.CL
 A44rPFT.FHxMRAAjCyWbiLOq9Bh7hZronVK_.s8u8wAQa_41Ic1ieY5akyJoy6NzE05w9dFcqPEk
 5FE2EaRcC3nK0NvD7LscE6.8KDOC7laiAEAKL0Fe3zKsyRaG7zU5oVpEmirARQiMQezDnJ2DQeIY
 xgmOrsZ95Y2A.C6JBHNSSd_X5I6cND6_UbaOrwVFL1LCgxX3x4w.O7qLBtTfCmmNd7xwlX2sL5YL
 Mpit.Pk2eveKCFS3WsMl8FBqXPHbbQONZYjl6ayu7ay5h10_40l_Wn1uA_25zX6r1nnlZWxnQtYn
 yhKBsk85XdKYMTL502edObHIFaLjdcXYGBBQsnqJRksgVG9yPpAgubmkB0b.DR4L38MIGRZbv.XT
 EXqZpHDwvRSzIa0XSY.aECZRIYs2URuWFbGzmkQgvkft9FAMNPT3Kn47_.fn_3kVG.EgUM2ivkaQ
 egFzoMO3enQj64DvrXvUeROByNp0gs40LE_I5_RhsFv74MIGFt3teG.RUULCu_ZmIPRoG4vJKxvz
 DGRwDBbmbDCgI.kGjmSCQ.v1uUXO3nLFBpLdtqRACqRFfkTUB2Fq_RCrOQ3nT_0ZmX4ODfAkUj3W
 eippq5HymSW6z2ugZxr4ttT8dvsOioV03BpUPPEvYElPJK3iBRK8cYTnQYCgKyo57BGIXoOdw8Ga
 vEwqejVBtci7f5Aq7dHjWc8dhu25JgoXIGxkylrkJZSjit8vtDDne.dbo9u.GR84lTkHClUJlgyU
 MMbzNUJ9549BZgJI1YKdZHmLXWeQpGHlEq2hSQyn9oB8vzoNPQyS_OfnzV9QHNjcQHEkic2rBQcb
 KLN4ukLk1ggXDs8_LH49INgm2QuusWiagUaPMVoBnJJlNCORhm_VR_c5ho_vq6P776PLNYj9ZvWz
 XchhW7thwDz1WCcmTNjWU4X06.8z8bpDeiFNwSsOziTgrUFsiU1K5nY_JnVaWugCsO4AhmpCb.rj
 tanwAtaFJYEu8rdnzjbU.Ox6jwi9ukKLgXR2XtRqon6ikELoOGrxy2DvPBxN5a02f_o0uR43Pt5k
 GJGh5Xu_EaCgODboaNg3n7gVl2bMaUPlJA72Q8P5XyO6ta6gQCnXUpkS.WLvtHJzjtPeapMMsHRL
 kcK4mXYV4Y1x3MuYDPGAfAX0wwXiV22QA7NFjXlQ-
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic306.consmr.mail.bf2.yahoo.com with HTTP; Sat, 2 Nov 2019 21:41:54 +0000
Received: by smtp428.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID e284848a70558c39a67f4848a2e54235; 
 Sat, 02 Nov 2019 21:41:50 +0000 (UTC)
Date: Sat, 2 Nov 2019 22:41:35 +0100
From: Ergus <spacibba@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; Emacs freezes opening tabs.
Message-ID: <20191102214135.lehpefr5o4cji6ca@Ergus>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline
References: <20191102214135.lehpefr5o4cji6ca.ref@Ergus>
X-Mailer: WebService/1.1.14638 hermes Apache-HttpAsyncClient/4.1.4
 (Java/1.8.0_181)
Content-Length: 4478
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [fuzzy]
X-Received-From: 74.6.132.42
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hi when using emacs in gui I can't open a new tab if I add these lines
to my config:

(set-face-attribute 'tab-bar nil
        :background "#000000" :foreground "#e5e5e5"
        :inverse-video nil)

(set-face-attribute 'tab-bar-tab nil
        :weight 'ultra-bold :underline t)

(set-face-attribute 'tab-bar-tab-inactive nil
        :background "#000000" :foreground "#ffffff"
        :weight 'normal :underline nil)

In tui there is no problem and in gdb I get this backtrace:

==================================

In gdb the bt shows:

#0  0x000055addb2b837f in mark_object (arg=<optimized out>) at ../../src/alloc.c:6583
#1  0x000055addb2b8f0e in mark_vectorlike (header=0x7f98b16ae700) at ../../src/alloc.c:6157
#2  0x000055addb2b8373 in mark_object (arg=<optimized out>) at ../../src/alloc.c:6581
#3  0x000055addb2b8f0e in mark_vectorlike (header=0x7f98b16ae660) at ../../src/alloc.c:6157
#4  0x000055addb2b8373 in mark_object (arg=<optimized out>) at ../../src/alloc.c:6581
#5  0x000055addb2b8f0e in mark_vectorlike (header=0x7f98b16ab3f8) at ../../src/alloc.c:6157

(repeats this until)

#1968 0x000055addb2b8f0e in mark_vectorlike (header=0x7f98b167e4e0) at ../../src/alloc.c:6157
#1969 0x000055addb2b8373 in mark_object (arg=<optimized out>) at ../../src/alloc.c:6581
#1970 0x000055addb2b8f0e in mark_vectorlike (header=0x7f98b1bc0f28) at ../../src/alloc.c:6157
#1971 0x000055addb2b8373 in mark_object (arg=<optimized out>) at ../../src/alloc.c:6581
#1972 0x000055addb2b8169 in visit_vectorlike_root (type=GC_ROOT_BUFFER_LOCAL_DEFAULT, ptr=<optimized out>, visitor=...) at ../../src/alloc.c:5693
#1973 0x000055addb2b8169 in visit_buffer_root (type=GC_ROOT_BUFFER_LOCAL_DEFAULT, buffer=<optimized out>, visitor=...) at ../../src/alloc.c:5708
#1974 0x000055addb2b8169 in visit_static_gc_roots (visitor=...) at ../../src/alloc.c:5720
#1975 0x000055addb2b9761 in garbage_collect () at ../../src/alloc.c:5941
#1976 0x000055addb2ba121 in maybe_garbage_collect () at ../../src/alloc.c:5853
#1977 0x000055addb2d6475 in maybe_gc () at ../../src/lisp.h:5061
#1978 0x000055addb2d6475 in Ffuncall (nargs=4, args=0x7ffc4de5fca0) at ../../src/eval.c:2778
#1979 0x000055addb2d9164 in call3 (fn=<optimized out>, arg1=arg1@entry=0x55addd037973, arg2=<optimized out>, arg3=arg3@entry=0x0) at ../../src/eval.c:2668

#1980 0x000055addb265012 in cmd_error_internal (data=data@entry=0x55addd037973, context=context@entry=0x7ffc4de5fd00 "") at ../../src/lisp.h:3935
#1981 0x000055addb26514d in cmd_error (data=0x55addd037973) at ../../src/keyboard.c:953
#1982 0x000055addb2d5719 in internal_condition_case
      (bfun=bfun@entry=0x55addb26e140 <command_loop_1>, handlers=handlers@entry=0x90, hfun=hfun@entry=0x55addb265040 <cmd_error>) at ../../src/eval.c:1351
#1983 0x000055addb25fc24 in command_loop_2 (ignore=ignore@entry=0x0) at ../../src/lisp.h:1032

#1984 0x000055addb2d5681 in internal_catch (tag=tag@entry=0xd4d0, func=func@entry=0x55addb25fc00 <command_loop_2>, arg=arg@entry=0x0) at ../../src/eval.c:1116
#1985 0x000055addb25fbcb in command_loop () at ../../src/lisp.h:1032
#1986 0x000055addb264c56 in recursive_edit_1 () at ../../src/keyboard.c:714
#1987 0x000055addb264f82 in Frecursive_edit () at ../../src/keyboard.c:786
#1988 0x000055addb186910 in main (argc=1, argv=<optimized out>) at ../../src/emacs.c:2055

===================================


In GNU Emacs 27.0.50 (build 8, x86_64-pc-linux-gnu, GTK+ Version 3.24.12)
  of 2019-11-02 built on Ergus
Repository revision: 9b1c00b3ca1a1f841cdcfd880536b0dc7669738a
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12005000
System Description: Arch Linux

Recent messages:
Loading /home/ergo/.emacs.d/custom.el (source)...done
Starting new Ispell process /usr/bin/aspell with default dictionary...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Load time 0.819347
Making completion list...
user-error: End of history; no default available [3 times]

Configured using:
  'configure --prefix=/mnt/casa/install_arch/emacs --with-x-toolkit=gtk3
  --with-xft --with-modules --with-mailutils'

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND GPM DBUS GSETTINGS GLIB NOTIFY INOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD JSON
PDUMPER LCMS2 GMP

Important settings:
   value of $LANG: en_US.UTF-8
   locale-coding-system: utf-8-unix

Major mode: Lisp Interaction





Acknowledgement sent to Ergus <spacibba@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#38038; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 12 Nov 2019 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.